<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>cryptplug.h</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</path>
    <filename>cryptplug_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>CRYPTPLUG_CERT_DOES_NEVER_EXPIRE</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CRYPTPLUG_ERR_WRONG_KEY_USAGE</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.cpp</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</path>
    <filename>cryptplugwrapper_8cpp</filename>
    <includes id="cryptplugwrapper_8h" name="cryptplugwrapper.h" local="yes" imported="no">cryptplugwrapper.h</includes>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>NEAR_EXPIRY</name>
      <anchorfile>cryptplugwrapper_8cpp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.h</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</path>
    <filename>cryptplugwrapper_8h</filename>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes" imported="no">cryptplug.h</includes>
  </compound>
  <compound kind="class">
    <name>AppearanceConfigurationPage</name>
    <filename>classAppearanceConfigurationPage.html</filename>
    <member kind="function">
      <type></type>
      <name>AppearanceConfigurationPage</name>
      <anchorfile>classAppearanceConfigurationPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classAppearanceConfigurationPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classAppearanceConfigurationPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classAppearanceConfigurationPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CertKeyListView</name>
    <filename>classCertKeyListView.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CertKeyListView</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const ColumnStrategy *strategy, const DisplayStrategy *display=0, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragMoveEvent</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragLeaveEvent</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QDragLeaveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchorfile>classCertKeyListView.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CryptPlug::StructuringInfo</name>
    <filename>structCryptPlug_1_1StructuringInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>includeCleartext</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMimeObject</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMultiMime</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>bodyTextVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPrefix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextSeparator</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPostfix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>o15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CryptPlugWrapper</name>
    <filename>classCryptPlugWrapper.html</filename>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InitStatus</name>
      <anchor>ga6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;libName=QString::null, const QString &amp;update=QString::null, bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>protocol</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const QString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>InitStatus</type>
      <name>initStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(QString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>freeSignatureMetaData</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(CryptPlug::SignatureMetaData *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyListJob *</type>
      <name>keyListJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(bool remote=false, bool includeSigs=false, bool validate=true) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::EncryptJob *</type>
      <name>encryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(bool armor=false, bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptJob *</type>
      <name>decryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignJob *</type>
      <name>signJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(bool armor=false, bool textMode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyDetachedJob *</type>
      <name>verifyDetachedJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyOpaqueJob *</type>
      <name>verifyOpaqueJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyGenerationJob *</type>
      <name>keyGenerationJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ImportJob *</type>
      <name>importJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>publicKeyExportJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(bool armor=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>secretKeyExportJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(bool armor=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DownloadJob *</type>
      <name>downloadJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(bool armor=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DeleteJob *</type>
      <name>deleteJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignEncryptJob *</type>
      <name>signEncryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(bool armor=false, bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptVerifyJob *</type>
      <name>decryptVerifyJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::RefreshKeysJob *</type>
      <name>refreshKeysJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SpecialJob *</type>
      <name>specialJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const char *, const QMap&lt; QString, QVariant &gt; &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>GpgME::ImportResult</type>
      <name>importCertificate</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(const char *data, size_t length)</arglist>
    </member>
    <member kind="function">
      <type>CryptPlug *</type>
      <name>cryptPlug</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>errorIdToText</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(int errId, bool &amp;isPassphraseError)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DirectoryServicesConfigurationPage</name>
    <filename>classDirectoryServicesConfigurationPage.html</filename>
    <member kind="function">
      <type></type>
      <name>DirectoryServicesConfigurationPage</name>
      <anchorfile>classDirectoryServicesConfigurationPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classDirectoryServicesConfigurationPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classDirectoryServicesConfigurationPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classDirectoryServicesConfigurationPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNOrderConfigPage</name>
    <filename>classDNOrderConfigPage.html</filename>
    <member kind="function">
      <type></type>
      <name>DNOrderConfigPage</name>
      <anchorfile>classDNOrderConfigPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classDNOrderConfigPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classDNOrderConfigPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classDNOrderConfigPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfig</name>
    <filename>classQGpgMECryptoConfig.html</filename>
    <base>QObject</base>
    <base>Kleo::CryptoConfig</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfig</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>componentList</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kleo::CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfigComponent</name>
    <filename>classQGpgMECryptoConfigComponent.html</filename>
    <base>QObject</base>
    <base>Kleo::CryptoConfigComponent</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfigComponent</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QGpgMECryptoConfig *, const QString &amp;name, const QString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconName</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>groupList</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StructuringInfoWrapper</name>
    <filename>classStructuringInfoWrapper.html</filename>
    <member kind="function">
      <type></type>
      <name>StructuringInfoWrapper</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptPlugWrapper *wrapper)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>CryptPlug::StructuringInfo</type>
      <name>data</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupGeneral</name>
    <title>Loading and Unloading the Plugin, General Functionality</title>
    <filename>group__groupGeneral.html</filename>
    <member kind="enumeration">
      <name>InitStatus</name>
      <anchor>ga6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>InitStatus</type>
      <name>initStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(QString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(Feature)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupDisplay</name>
    <title>Graphical Display Functionality</title>
    <filename>group__groupDisplay.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfig</name>
    <title>Configuration Support</title>
    <filename>group__groupConfig.html</filename>
    <subgroup>groupConfigSign</subgroup>
    <subgroup>groupConfigCrypt</subgroup>
    <subgroup>groupConfigDir</subgroup>
  </compound>
  <compound kind="group">
    <name>groupConfigSign</name>
    <title>Signature Configuration</title>
    <filename>group__groupConfigSign.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigCrypt</name>
    <title>Encryption Configuration</title>
    <filename>group__groupConfigCrypt.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigDir</name>
    <title>Directory Service Configuration</title>
    <filename>group__groupConfigDir.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCertHand</name>
    <title>Certificate Handling</title>
    <filename>group__groupCertHand.html</filename>
  </compound>
  <compound kind="group">
    <name>groupSignCryptAct</name>
    <title>Signing and Encrypting Actions</title>
    <filename>group__groupSignCryptAct.html</filename>
    <subgroup>groupSignAct</subgroup>
    <subgroup>groupCryptAct</subgroup>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <class kind="class">StructuringInfoWrapper</class>
    <member kind="function">
      <type>void</type>
      <name>free_StructuringInfo</name>
      <anchorfile>group__groupSignCryptAct.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupSignAct</name>
    <title>Signature Actions</title>
    <filename>group__groupSignAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, struct SignatureMetaData *sigmeta, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCryptAct</name>
    <title>Encryption and Decryption</title>
    <filename>group__groupCryptAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, bool *signatureFound, struct SignatureMetaData *sigmeta, int *errId, char **errTxt, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCertAct</name>
    <title>Certificate Handling Actions</title>
    <filename>group__groupCertAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCRLAct</name>
    <title>CRL Handling Actions</title>
    <filename>group__groupCRLAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdUsoInterno</name>
    <title>Important functions to be used by plugin implementors ONLY.</title>
    <filename>group__groupAdUsoInterno.html</filename>
    <member kind="function">
      <type>void</type>
      <name>init_StructuringInfo</name>
      <anchorfile>group__groupAdUsoInterno.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>certList</name>
    <title>Certificate Info listing functions</title>
    <filename>group__certList.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdmin</name>
    <title>Constructor, destructor and setting of &apos;active&apos; flag</title>
    <filename>group__groupAdmin.html</filename>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;libName=QString::null, const QString &amp;update=QString::null, bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const QString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/</path>
    <filename>dir_000005.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/chiasmus/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/kpgp/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/qgpgme/</dir>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/</path>
    <filename>dir_000000.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/conf/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/kwatchgnupg/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</dir>
    <file>aboutdata.cpp</file>
    <file>aboutdata.h</file>
    <file>certificateinfowidgetimpl.cpp</file>
    <file>certificateinfowidgetimpl.h</file>
    <file>certificatewizardimpl.cpp</file>
    <file>certificatewizardimpl.h</file>
    <file>certlistview.cpp</file>
    <file>certlistview.h</file>
    <file>certmanager.cpp</file>
    <file>certmanager.h</file>
    <file>crlview.cpp</file>
    <file>crlview.h</file>
    <file>customactions.cpp</file>
    <file>customactions.h</file>
    <file>hierarchyanalyser.cpp</file>
    <file>hierarchyanalyser.h</file>
    <file>main.cpp</file>
    <file>storedtransferjob.cpp</file>
    <file>storedtransferjob.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/chiasmus/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/chiasmus/</path>
    <filename>dir_000006.html</filename>
    <file>chiasmusbackend.cpp</file>
    <file>chiasmusbackend.h</file>
    <file>chiasmusjob.cpp</file>
    <file>chiasmusjob.h</file>
    <file>chiasmuslibrary.cpp</file>
    <file>chiasmuslibrary.h</file>
    <file>config_data.h</file>
    <file>obtainkeysjob.cpp</file>
    <file>obtainkeysjob.h</file>
    <file>symcryptrunprocessbase.cpp</file>
    <file>symcryptrunprocessbase.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/conf/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/conf/</path>
    <filename>dir_000004.html</filename>
    <file>appearanceconfigpage.cpp</file>
    <file>appearanceconfigpage.h</file>
    <file>appearanceconfigwidget.cpp</file>
    <file>appearanceconfigwidget.h</file>
    <file>configuredialog.cpp</file>
    <file>configuredialog.h</file>
    <file>dirservconfigpage.cpp</file>
    <file>dirservconfigpage.h</file>
    <file>dnorderconfigpage.cpp</file>
    <file>dnorderconfigpage.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/kleo/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/kleo/</path>
    <filename>dir_000007.html</filename>
    <file>cryptobackend.cpp</file>
    <file>cryptobackend.h</file>
    <file>cryptobackendfactory.cpp</file>
    <file>cryptobackendfactory.h</file>
    <file>cryptoconfig.h</file>
    <file>decryptjob.h</file>
    <file>decryptverifyjob.h</file>
    <file>deletejob.h</file>
    <file>dn.cpp</file>
    <file>dn.h</file>
    <file>downloadjob.h</file>
    <file>encryptjob.h</file>
    <file>enum.cpp</file>
    <file>enum.h</file>
    <file>exportjob.h</file>
    <file>hierarchicalkeylistjob.cpp</file>
    <file>hierarchicalkeylistjob.h</file>
    <file>importjob.h</file>
    <file>job.cpp</file>
    <file>job.h</file>
    <file>kconfigbasedkeyfilter.cpp</file>
    <file>kconfigbasedkeyfilter.h</file>
    <file>keyfilter.h</file>
    <file>keyfiltermanager.cpp</file>
    <file>keyfiltermanager.h</file>
    <file>keygenerationjob.h</file>
    <file>keylistjob.h</file>
    <file>multideletejob.cpp</file>
    <file>multideletejob.h</file>
    <file>oidmap.h</file>
    <file>refreshkeysjob.h</file>
    <file>signencryptjob.h</file>
    <file>signjob.h</file>
    <file>specialjob.h</file>
    <file>verifydetachedjob.h</file>
    <file>verifyopaquejob.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/kpgp/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/kpgp/</path>
    <filename>dir_000009.html</filename>
    <file>gpg1backend.h</file>
    <file>kpgpbackendbase.cpp</file>
    <file>kpgpbackendbase.h</file>
    <file>kpgpkeylistjob.cpp</file>
    <file>kpgpkeylistjob.h</file>
    <file>kpgpwrapper.cpp</file>
    <file>kpgpwrapper.h</file>
    <file>pgp2backend.h</file>
    <file>pgp5backend.h</file>
    <file>pgp6backend.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/kwatchgnupg/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/kwatchgnupg/</path>
    <filename>dir_000001.html</filename>
    <file>kwatchgnupg/aboutdata.cpp</file>
    <file>kwatchgnupg/aboutdata.h</file>
    <file>kwatchgnupgconfig.cpp</file>
    <file>kwatchgnupgconfig.h</file>
    <file>kwatchgnupgmainwin.cpp</file>
    <file>kwatchgnupgmainwin.h</file>
    <file>kwatchgnupg/main.cpp</file>
    <file>tray.cpp</file>
    <file>tray.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/</path>
    <filename>dir_000002.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/kleo/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/ui/</dir>
    <file>cryptplug.cpp</file>
    <file>cryptplug.h</file>
    <file>cryptplugfactory.cpp</file>
    <file>cryptplugfactory.h</file>
    <file>cryptplugwrapper.cpp</file>
    <file>cryptplugwrapper.h</file>
    <file>cryptplugwrapperlist.cpp</file>
    <file>cryptplugwrapperlist.h</file>
    <file>lib/storedtransferjob.cpp</file>
    <file>lib/storedtransferjob.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/qgpgme/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/backends/qgpgme/</path>
    <filename>dir_000008.html</filename>
    <file>gnupgprocessbase.cpp</file>
    <file>gnupgprocessbase.h</file>
    <file>qgpgmebackend.cpp</file>
    <file>qgpgmebackend.h</file>
    <file>qgpgmecryptoconfig.cpp</file>
    <file>qgpgmecryptoconfig.h</file>
    <file>qgpgmedecryptjob.cpp</file>
    <file>qgpgmedecryptjob.h</file>
    <file>qgpgmedecryptverifyjob.cpp</file>
    <file>qgpgmedecryptverifyjob.h</file>
    <file>qgpgmedeletejob.cpp</file>
    <file>qgpgmedeletejob.h</file>
    <file>qgpgmedownloadjob.cpp</file>
    <file>qgpgmedownloadjob.h</file>
    <file>qgpgmeencryptjob.cpp</file>
    <file>qgpgmeencryptjob.h</file>
    <file>qgpgmeexportjob.cpp</file>
    <file>qgpgmeexportjob.h</file>
    <file>qgpgmeimportjob.cpp</file>
    <file>qgpgmeimportjob.h</file>
    <file>qgpgmejob.cpp</file>
    <file>qgpgmejob.h</file>
    <file>qgpgmekeygenerationjob.cpp</file>
    <file>qgpgmekeygenerationjob.h</file>
    <file>qgpgmekeylistjob.cpp</file>
    <file>qgpgmekeylistjob.h</file>
    <file>qgpgmeprogresstokenmapper.cpp</file>
    <file>qgpgmeprogresstokenmapper.h</file>
    <file>qgpgmerefreshkeysjob.cpp</file>
    <file>qgpgmerefreshkeysjob.h</file>
    <file>qgpgmesecretkeyexportjob.cpp</file>
    <file>qgpgmesecretkeyexportjob.h</file>
    <file>qgpgmesignencryptjob.cpp</file>
    <file>qgpgmesignencryptjob.h</file>
    <file>qgpgmesignjob.cpp</file>
    <file>qgpgmesignjob.h</file>
    <file>qgpgmeverifydetachedjob.cpp</file>
    <file>qgpgmeverifydetachedjob.h</file>
    <file>qgpgmeverifyopaquejob.cpp</file>
    <file>qgpgmeverifyopaquejob.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/ui/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/certmanager/lib/ui/</path>
    <filename>dir_000003.html</filename>
    <file>adddirectoryservicedialogimpl.cpp</file>
    <file>adddirectoryservicedialogimpl.h</file>
    <file>backendconfigwidget.cpp</file>
    <file>backendconfigwidget.h</file>
    <file>cryptoconfigdialog.cpp</file>
    <file>cryptoconfigdialog.h</file>
    <file>cryptoconfigmodule.cpp</file>
    <file>cryptoconfigmodule.h</file>
    <file>cryptoconfigmodule_p.h</file>
    <file>directoryserviceswidget.cpp</file>
    <file>directoryserviceswidget.h</file>
    <file>dnattributeorderconfigwidget.cpp</file>
    <file>dnattributeorderconfigwidget.h</file>
    <file>kdhorizontalline.cpp</file>
    <file>kdhorizontalline.h</file>
    <file>keyapprovaldialog.cpp</file>
    <file>keyapprovaldialog.h</file>
    <file>keylistview.cpp</file>
    <file>keylistview.h</file>
    <file>keyrequester.cpp</file>
    <file>keyrequester.h</file>
    <file>keyselectiondialog.cpp</file>
    <file>keyselectiondialog.h</file>
    <file>passphrasedialog.cpp</file>
    <file>passphrasedialog.h</file>
    <file>progressbar.cpp</file>
    <file>progressbar.h</file>
    <file>progressdialog.cpp</file>
    <file>progressdialog.h</file>
  </compound>
  <compound kind="class">
    <name>KIOext::StoredTransferJob</name>
    <filename>classKIOext_1_1StoredTransferJob.html</filename>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusJob</name>
    <filename>classKleo_1_1ChiasmusJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="slot">
      <type>void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ChiasmusJob</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Mode op)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QWidget *, const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>Mode</type>
      <name>mode</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>key</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>options</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;options)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>input</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInput</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QByteArray &amp;input)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="property">
      <type>Mode</type>
      <name>mode</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>key</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>01</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>options</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>02</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QByteArray</type>
      <name>input</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>03</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QByteArray</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>04</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusLibrary</name>
    <filename>classKleo_1_1ChiasmusLibrary.html</filename>
    <member kind="function">
      <type>int</type>
      <name>perform</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QValueVector&lt; QCString &gt; &amp;args) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const ChiasmusLibrary *</type>
      <name>instance</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>deleteInstance</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ObtainKeysJob</name>
    <filename>classKleo_1_1ObtainKeysJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="slot">
      <type>void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QWidget *, const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="property">
      <type>QStringList</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::GnuPGProcessBase</name>
    <filename>classKleo_1_1GnuPGProcessBase.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>status</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Kleo::GnuPGProcessBase *proc, const QString &amp;type, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GnuPGProcessBase</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUseStatusFD</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool use)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStatus</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>setupCommunication</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Communication comm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneP</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneC</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>childStatus</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(int fd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>virtual_hook</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::QGpgMEJob</name>
    <filename>classKleo_1_1QGpgMEJob.html</filename>
    <member kind="function">
      <type></type>
      <name>QGpgMEJob</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kleo::Job *_this, GpgME::Context *context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkInvariants</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const GpgME::Error &amp;e)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>hookupContextToEventLoopInteractor</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QStringList &amp;sl, bool allowEmpty=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>numPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>nextChunk</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>patterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setChunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(unsigned int size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>chunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createOutData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createInData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>(const QByteArray &amp;in)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>GpgME::Error</type>
      <name>setSigningKeys</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>(GpgME::Context *context, const GpgME::Error &amp;e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitProgressSignal</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b12</anchor>
      <arglist>(const QString &amp;what, int current, int total)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitDoneSignal</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotCancel</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>b14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::Job *</type>
      <name>mThis</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Context *</type>
      <name>mCtx</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mInData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::QByteArrayDataProvider *</type>
      <name>mInDataDataProvider</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mOutData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::QByteArrayDataProvider *</type>
      <name>mOutDataDataProvider</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntry</name>
    <filename>classKleo_1_1CryptoConfigEntry.html</filename>
    <member kind="enumeration">
      <name>Level</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ArgType</name>
      <anchor>w12</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOptional</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isRuntime</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ArgType</type>
      <name>argType</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>boolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>stringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>intValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>uintValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>urlValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>numberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>stringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; int &gt;</type>
      <name>intValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; unsigned int &gt;</type>
      <name>uintValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL::List</type>
      <name>urlValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resetToDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setBoolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNumberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QStringList &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QValueList&lt; int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QValueList&lt; unsigned int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const KURL::List &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isDirty</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroup</name>
    <filename>classKleo_1_1CryptoConfigGroup.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry::Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>entryList</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponent</name>
    <filename>classKleo_1_1CryptoConfigComponent.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>groupList</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfig</name>
    <filename>classKleo_1_1CryptoConfig.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>componentList</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
    <member kind="function">
      <type>CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;componentName, const QString &amp;groupName, const QString &amp;entryName) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool runtime)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptJob</name>
    <filename>classKleo_1_1DecryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;result, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::DecryptionResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;cipherText, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptJob</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptVerifyJob</name>
    <filename>classKleo_1_1DecryptVerifyJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;decryptionresult, const GpgME::VerificationResult &amp;verificationresult, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::DecryptionResult, GpgME::VerificationResult &gt;</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;cipherText, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptVerifyJob</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DeleteJob</name>
    <filename>classKleo_1_1DeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const GpgME::Key &amp;key, bool allowSecretKeyDeletion=false)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DeleteJob</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DNAttributeMapper</name>
    <filename>classKleo_1_1DNAttributeMapper.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>name2label</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>names</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>attributeOrder</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttributeOrder</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;order)</arglist>
    </member>
    <member kind="function">
      <type>DNAttributeOrderConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QWidget *parent=0, const char *name=0) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const DNAttributeMapper *</type>
      <name>instance</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DN</name>
    <filename>classKleo_1_1DN.html</filename>
    <member kind="typedef">
      <type>QValueVector&lt; Attribute &gt;</type>
      <name>AttributeList</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>AttributeList::const_iterator</type>
      <name>const_iterator</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *utf8DN)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const DN &amp;</type>
      <name>operator=</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>prettyDN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dn</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>operator[]</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;attr) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const Attribute &amp;attr)</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DownloadJob</name>
    <filename>classKleo_1_1DownloadJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const QByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;fingerprints)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DownloadJob</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::EncryptJob</name>
    <filename>classKleo_1_1EncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::EncryptionResult &amp;result, const QByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::EncryptionResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust, QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>EncryptJob</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ExportJob</name>
    <filename>classKleo_1_1ExportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const QByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ExportJob</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::HierarchicalKeyListJob</name>
    <filename>classKleo_1_1HierarchicalKeyListJob.html</filename>
    <base>Kleo::KeyListJob</base>
    <member kind="function">
      <type></type>
      <name>HierarchicalKeyListJob</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol, bool remote=false, bool includeSigs=false, bool validating=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::KeyListResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ImportJob</name>
    <filename>classKleo_1_1ImportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::ImportResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::ImportResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ImportJob</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::Job</name>
    <filename>classKleo_1_1Job.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;what, int current, int total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Job</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyFilter</name>
    <filename>classKleo_1_1KeyFilter.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>matches</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const GpgME::Key &amp;key) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>specificity</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QColor</type>
      <name>fgColor</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QColor</type>
      <name>bgColor</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QFont</type>
      <name>font</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QFont &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>icon</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyGenerationJob</name>
    <filename>classKleo_1_1KeyGenerationJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::KeyGenerationResult &amp;result, const QByteArray &amp;pubKeyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;parameters)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyGenerationJob</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyListJob</name>
    <filename>classKleo_1_1KeyListJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>nextKey</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const GpgME::KeyListResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::KeyListResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyListJob</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::MultiDeleteJob</name>
    <filename>classKleo_1_1MultiDeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const GpgME::Key &amp;errorKey)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MultiDeleteJob</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys, bool allowSecretKeyDeletion=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::RefreshKeysJob</name>
    <filename>classKleo_1_1RefreshKeysJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;error)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>RefreshKeysJob</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignEncryptJob</name>
    <filename>classKleo_1_1SignEncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::SigningResult &amp;signingresult, const GpgME::EncryptionResult &amp;encryptionresult, const QByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::SigningResult, GpgME::EncryptionResult &gt;</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust, QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignEncryptJob</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignJob</name>
    <filename>classKleo_1_1SignJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::SigningResult &amp;result, const QByteArray &amp;signature)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const QByteArray &amp;plainText, GpgME::Context::SignatureMode mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::SigningResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const QByteArray &amp;plainText, GpgME::Context::SignatureMode mode, QByteArray &amp;signature)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignJob</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SpecialJob</name>
    <filename>classKleo_1_1SpecialJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const QVariant &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SpecialJob</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyDetachedJob</name>
    <filename>classKleo_1_1VerifyDetachedJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;signature, const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;signature, const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyDetachedJob</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyOpaqueJob</name>
    <filename>classKleo_1_1VerifyOpaqueJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;signedData, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyOpaqueJob</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigDialog</name>
    <filename>classKleo_1_1CryptoConfigDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigDialog</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kleo::CryptoConfig *config, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigModule</name>
    <filename>classKleo_1_1CryptoConfigModule.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigModule</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Kleo::CryptoConfig *config, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancel</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponentGUI</name>
    <filename>classKleo_1_1CryptoConfigComponentGUI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigComponentGUI</name>
      <anchorfile>classKleo_1_1CryptoConfigComponentGUI.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigComponent *component, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKleo_1_1CryptoConfigComponentGUI.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKleo_1_1CryptoConfigComponentGUI.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKleo_1_1CryptoConfigComponentGUI.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroupGUI</name>
    <filename>classKleo_1_1CryptoConfigGroupGUI.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigGroupGUI</name>
      <anchorfile>classKleo_1_1CryptoConfigGroupGUI.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigGroup *group, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKleo_1_1CryptoConfigGroupGUI.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKleo_1_1CryptoConfigGroupGUI.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKleo_1_1CryptoConfigGroupGUI.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryGUIFactory</name>
    <filename>classKleo_1_1CryptoConfigEntryGUIFactory.html</filename>
    <member kind="function" static="yes">
      <type>static CryptoConfigEntryGUI *</type>
      <name>createEntryGUI</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUIFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *widget, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryGUI</name>
    <filename>classKleo_1_1CryptoConfigEntryGUI.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryGUI</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetToDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isChanged</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::CryptoConfigEntry *</type>
      <name>mEntry</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mName</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mChanged</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryGUI.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryLineEdit</name>
    <filename>classKleo_1_1CryptoConfigEntryLineEdit.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryLineEdit</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLineEdit.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLineEdit.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLineEdit.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryPath</name>
    <filename>classKleo_1_1CryptoConfigEntryPath.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryPath</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryPath.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryPath.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryPath.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryDirPath</name>
    <filename>classKleo_1_1CryptoConfigEntryDirPath.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryDirPath</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryDirPath.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryDirPath.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryDirPath.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryURL</name>
    <filename>classKleo_1_1CryptoConfigEntryURL.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryURL</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryURL.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryURL.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryURL.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntrySpinBox</name>
    <filename>classKleo_1_1CryptoConfigEntrySpinBox.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntrySpinBox</name>
      <anchorfile>classKleo_1_1CryptoConfigEntrySpinBox.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntrySpinBox.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntrySpinBox.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryCheckBox</name>
    <filename>classKleo_1_1CryptoConfigEntryCheckBox.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryCheckBox</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryCheckBox.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryCheckBox.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryCheckBox.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryLDAPURL</name>
    <filename>classKleo_1_1CryptoConfigEntryLDAPURL.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryLDAPURL</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLDAPURL.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QGridLayout *layout, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLDAPURL.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchorfile>classKleo_1_1CryptoConfigEntryLDAPURL.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyRequester</name>
    <filename>classKleo_1_1KeyRequester.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(unsigned int allowedKeys, bool multipleKeys=false, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>const GpgME::Key &amp;</type>
      <name>key</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>const std::vector&lt; GpgME::Key &gt; &amp;</type>
      <name>keys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fingerprint</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>fingerprints</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprints</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QStringList &amp;fingerprints)</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>eraseButton</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>dialogButton</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>allowedKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(unsigned int allowed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInitialQuery</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>initialQuery</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressBar</name>
    <filename>classKleo_1_1ProgressBar.html</filename>
    <base>QProgressBar</base>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;message, int type, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;message, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(int progress)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTotalSteps</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>(int cur, int tot)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressBar</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressDialog</name>
    <filename>classKleo_1_1ProgressDialog.html</filename>
    <base>QProgressDialog</base>
    <member kind="slot">
      <type>void</type>
      <name>setMinimumDuration</name>
      <anchorfile>classKleo_1_1ProgressDialog.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int ms)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressDialog</name>
      <anchorfile>classKleo_1_1ProgressDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Job *job, const QString &amp;baseText, QWidget *creator=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
</tagfile>
