<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KABBasicLook</name>
    <filename>classKABBasicLook.html</filename>
    <base>QVBox</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>entryChanged</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>saveMe</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sendEmail</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;email)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>browse</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KABBasicLook</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setAddressee</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KABC::Addressee &amp;addressee)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Addressee</type>
      <name>addressee</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKABBasicLook.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABDetailedView</name>
    <filename>classKABDetailedView.html</filename>
    <base>KABBasicLook</base>
    <member kind="enumeration">
      <name>BackgroundStyle</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBorderedBGSelected</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTiledBGSelected</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KABDetailedView</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KABDetailedView</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddressee</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KABC::Addressee &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPaintEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>getBackground</name>
      <anchorfile>classKABDetailedView.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QString path, QPixmap &amp;image)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookCardView</name>
    <filename>classKAddressBookCardView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(QString uid=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(QString uid=QString::null, bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookCardView</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(CardViewItem *, const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookIconView</name>
    <filename>classKAddressBookIconView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(QString uid=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(QString uid=QString::null, bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookIconView</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(QIconViewItem *, const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookMain</name>
    <filename>classKAddressBookMain.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addEmail</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(QString addr)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>importVCard</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;vCardURL)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>showContactEditor</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(QString uid)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>newContact</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual QString</type>
      <name>getNameByPhone</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(QString phone)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>exit</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>handleCommandLine</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookMain</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;file=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initActions</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookTableView</name>
    <filename>classKAddressBookTableView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reconstructListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookTableView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QString uid=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QString uid=QString::null, bool selected=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(KListView *, QListViewItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updatePresence</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ContactListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookView</name>
    <filename>classKAddressBookView.html</filename>
    <base>QWidget</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(QString uid=QString::null)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(QString uid=QString::null, bool selected=true)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>popup</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const QPoint &amp;point)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookView</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>selectedEmails</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field::List</type>
      <name>fields</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const Filter &amp;)</arglist>
    </member>
    <member kind="function">
      <type>DefaultFilterType</type>
      <name>defaultFilterType</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>defaultFilterName</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAB::Core *</type>
      <name>core</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KABC::Addressee::List</type>
      <name>addressees</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>viewWidget</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressEditDialog</name>
    <filename>classAddressEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressEditDialog</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KABC::Address::List &amp;list, int selected, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changeType</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdits</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressEditWidget</name>
    <filename>classAddressEditWidget.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressEditWidget</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KABC::Addressee &amp;addr, const KABC::Address::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypeCombo</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KABC::Address::List &amp;, KComboBox *)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Address</type>
      <name>currentAddress</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KComboBox *, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>edit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddresseeUtil</name>
    <filename>classAddresseeUtil.html</filename>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>addresseesToClipboard</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KABC::Addressee::List &amp;addrList)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KABC::Addressee::List</type>
      <name>clipboardToAddressees</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;clipboard)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>addresseesToEmails</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const KABC::Addressee::List &amp;addrList)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressTypeDialog</name>
    <filename>classAddressTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressTypeDialog</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int type, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddViewDialog</name>
    <filename>classAddViewDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddViewDialog</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QDict&lt; ViewFactory &gt; *viewFactoryDict, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>viewName</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>viewType</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardView</name>
    <filename>classCardView.html</filename>
    <base>QScrollView</base>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doubleClicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>currentChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>returnPressed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contextMenuRequested</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>l7</anchor>
      <arglist>(CardViewItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardView</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>currentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAt</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QPoint &amp;viewPos)</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>itemRect</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ensureItemVisible</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repaintItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(SelectionMode mode)</arglist>
    </member>
    <member kind="function">
      <type>SelectionMode</type>
      <name>selectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(CardViewItem *item, bool selected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectAll</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>selectedItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>firstItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAfter</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>childCount</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>findItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;text, const QString &amp;label, Qt::StringComparisonMode compare=Qt::BeginsWith)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>columnWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemMargin</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(uint margin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSpacing</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(uint spacing)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>itemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeaderFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(const QFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>headerFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const QFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSeparatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>separatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(int howmany)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawContents</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPainter *p, int clipx, int clipy, int clipw, int cliph)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QResizeEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>contentsWheelEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QWheelEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLayoutDirty</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(bool dirty)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calcLayout</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseMoveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseDoubleClickEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>enterEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>leaveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusInEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b12</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b13</anchor>
      <arglist>(QKeyEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>startDrag</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>b14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardViewItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewItem</name>
    <filename>classCardViewItem.html</filename>
    <member kind="typedef">
      <type>QPair&lt; QString, QString &gt;</type>
      <name>Field</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardViewItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(CardView *parent, QString caption=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>caption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QPainter *p, QColorGroup &amp;cg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>repaintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;label, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fieldValue</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearFields</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>nextItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showFullString</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QPoint &amp;pos, CardViewTip *tip)</arglist>
    </member>
    <member kind="function">
      <type>Field *</type>
      <name>fieldAt</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QPoint &amp;itempos) const </arglist>
    </member>
    <member kind="function">
      <type>CardView *</type>
      <name>cardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(bool allowCache=true) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool selected)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewLookNFeelPage</name>
    <filename>classCardViewLookNFeelPage.html</filename>
    <base>QVBox</base>
    <member kind="function">
      <type></type>
      <name>CardViewLookNFeelPage</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureCardViewWidget</name>
    <filename>classConfigureCardViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureCardViewWidget</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureTableViewWidget</name>
    <filename>classConfigureTableViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureTableViewWidget</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateParser</name>
    <filename>classDateParser.html</filename>
    <member kind="function">
      <type></type>
      <name>DateParser</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>parse</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;dateStr) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DistributionListView</name>
    <filename>classDistributionListView.html</filename>
    <member kind="function">
      <type></type>
      <name>DistributionListView</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDragMoveEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QDragMoveEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicTip</name>
    <filename>classDynamicTip.html</filename>
    <base>QToolTip</base>
    <member kind="function">
      <type></type>
      <name>DynamicTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ContactListView *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailEditWidget</name>
    <filename>classEmailEditWidget.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailEditWidget</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>emails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailSelector</name>
    <filename>classEmailSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>EmailSelector</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QStringList &amp;emails, const QString &amp;current, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>selected</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getEmail</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QStringList &amp;emails, const QString &amp;current, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Filter</name>
    <filename>classFilter.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Filter &gt;</type>
      <name>List</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInternal</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KABC::Addressee::List &amp;addresseeList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>filterAddressee</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KABC::Addressee &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>categories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMatchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(MatchRule rule)</arglist>
    </member>
    <member kind="function">
      <type>MatchRule</type>
      <name>matchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(KConfig *config, QString baseGroup, Filter::List &amp;list)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter::List</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KConfig *config, QString baseGroup)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FilterSelectionWidget</name>
    <filename>classFilterSelectionWidget.html</filename>
    <base>QHBox</base>
    <member kind="signal">
      <type>void</type>
      <name>filterActivated</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FilterSelectionWidget</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItems</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;names)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressLVI</name>
    <filename>classIMAddressLVI.html</filename>
    <member kind="function">
      <type></type>
      <name>IMAddressLVI</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KListView *parent, KPluginInfo *protocol, QString address, IMContext context=Any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddress</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProtocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KPluginInfo *protocol)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContext</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(IMContext context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activate</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>address</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressWidget</name>
    <filename>classIMAddressWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, QValueList&lt; KPluginInfo * &gt; protocols)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, QValueList&lt; KPluginInfo * &gt; protocols, KPluginInfo *protocol, const QString &amp;address, const IMContext &amp;context=Any)</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>address</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>mProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>populateProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageLabel</name>
    <filename>classImageLabel.html</filename>
    <base>QLabel</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImageLabel</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;title, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QDropEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classImageLabel.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditorWidget</name>
    <filename>classIMEditorWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>IMEditorWidget</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>storeContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>availableProtocols</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUpdateButtons</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAdd</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEdit</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDelete</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KPluginInfo *</type>
      <name>protocolFromString</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString fieldValue)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>splitField</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>f0</anchor>
      <arglist>(const QString &amp;str, QString &amp;app, QString &amp;name, QString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditorWidgetFactory</name>
    <filename>classIMEditorWidgetFactory.html</filename>
    <member kind="function">
      <type>KAB::ContactEditorWidget *</type>
      <name>createWidget</name>
      <anchorfile>classIMEditorWidgetFactory.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pageTitle</name>
      <anchorfile>classIMEditorWidgetFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pageIdentifier</name>
      <anchorfile>classIMEditorWidgetFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>JumpButtonBar</name>
    <filename>classJumpButtonBar.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jumpToLetter</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QStringList &amp;characters)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JumpButtonBar</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSizePolicy</type>
      <name>sizePolicy</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>letterClicked</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LookAndFeelPage</name>
    <filename>classLookAndFeelPage.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>LookAndFeelPage</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableBackgroundToggled</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NameEditDialog</name>
    <filename>classNameEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>NameEditDialog</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KABC::Addressee &amp;addr, int type, bool readOnly, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>familyName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>givenName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>prefix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>suffix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>additionalName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>customFormattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>formattedNameType</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>formattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KABC::Addressee &amp;addr, int type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotHelp</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneEditDialog</name>
    <filename>classPhoneEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneEditDialog</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KABC::PhoneNumber::List &amp;list, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>const KABC::PhoneNumber::List &amp;</type>
      <name>phoneNumbers</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddPhoneNumber</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRemovePhoneNumber</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEditPhoneNumber</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classPhoneEditDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneEditWidget</name>
    <filename>classPhoneEditWidget.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneEditWidget</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KABC::PhoneNumber::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypeCombo</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KABC::PhoneNumber::List &amp;, KComboBox *)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber</type>
      <name>currentPhoneNumber</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KComboBox *, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateLineEdits</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateCombos</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneTypeDialog</name>
    <filename>classPhoneTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneTypeDialog</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KABC::PhoneNumber &amp;phoneNumber, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KABC::PhoneNumber</type>
      <name>phoneNumber</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StackBase</name>
    <filename>classStackBase.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Command *c)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Command *</type>
      <name>top</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Command *</type>
      <name>pop</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrStack&lt; Command &gt;</type>
      <name>mCommandStack</name>
      <anchorfile>classStackBase.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TypeCombo</name>
    <filename>classTypeCombo.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>T::List</type>
      <name>List</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T::List::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TypeCombo</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(List &amp;list, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QLineEdit *edit)</arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>lineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypes</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>selectedType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>selectedElement</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const List &amp;list, int type, const T &amp;defaultObject)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertTypeList</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewConfigureWidget</name>
    <filename>classViewConfigureWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewConfigureWidget</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KABC::AddressBook *ab, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>QVBox *</type>
      <name>addPage</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;item, const QString &amp;header=QString::null, const QPixmap &amp;pixmap=QPixmap())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewManager</name>
    <filename>classViewManager.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;uid=QString::null, bool selected=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refreshView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;uid=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlDropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAB::Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadViews</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>selectedUids</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>selectedEmails</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee::List</type>
      <name>selectedAddressees</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilterSelectionWidget</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(FilterSelectionWidget *wdg)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field *</type>
      <name>currentSortField</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/details/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/details/</path>
    <filename>dir_000007.html</filename>
    <file>detailsviewcontainer.cpp</file>
    <file>detailsviewcontainer.h</file>
    <file>global.h</file>
    <file>look_basic.cpp</file>
    <file>look_basic.h</file>
    <file>look_details.cpp</file>
    <file>look_details.h</file>
    <file>look_html.cpp</file>
    <file>look_html.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/editors/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/editors/</path>
    <filename>dir_000005.html</filename>
    <file>cryptowidget.cpp</file>
    <file>cryptowidget.h</file>
    <file>imaddresswidget.cpp</file>
    <file>imaddresswidget.h</file>
    <file>imeditorwidget.cpp</file>
    <file>imeditorwidget.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/features/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/features/</path>
    <filename>dir_000008.html</filename>
    <file>distributionlistwidget.cpp</file>
    <file>distributionlistwidget.h</file>
    <file>resourceselection.cpp</file>
    <file>resourceselection.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/interfaces/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/interfaces/</path>
    <filename>dir_000004.html</filename>
    <file>configurewidget.cpp</file>
    <file>configurewidget.h</file>
    <file>contacteditorwidget.cpp</file>
    <file>contacteditorwidget.h</file>
    <file>core.cpp</file>
    <file>core.h</file>
    <file>extensionwidget.cpp</file>
    <file>extensionwidget.h</file>
    <file>xxport.cpp</file>
    <file>xxport.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/</path>
    <filename>dir_000000.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/details/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/editors/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/features/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/interfaces/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/kcmconfigs/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/printing/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/thumbnailcreator/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/views/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/xxport/</dir>
    <file>addresseditwidget.cpp</file>
    <file>addresseditwidget.h</file>
    <file>addresseeconfig.cpp</file>
    <file>addresseeconfig.h</file>
    <file>addresseeeditorbase.h</file>
    <file>addresseeeditordialog.cpp</file>
    <file>addresseeeditordialog.h</file>
    <file>addresseeeditorwidget.cpp</file>
    <file>addresseeeditorwidget.h</file>
    <file>addresseeutil.cpp</file>
    <file>addresseeutil.h</file>
    <file>addviewdialog.cpp</file>
    <file>addviewdialog.h</file>
    <file>advancedcustomfields.cpp</file>
    <file>advancedcustomfields.h</file>
    <file>contacteditorwidgetmanager.cpp</file>
    <file>contacteditorwidgetmanager.h</file>
    <file>customfieldswidget.cpp</file>
    <file>customfieldswidget.h</file>
    <file>emaileditwidget.cpp</file>
    <file>emaileditwidget.h</file>
    <file>extensionmanager.cpp</file>
    <file>extensionmanager.h</file>
    <file>filter.cpp</file>
    <file>filter.h</file>
    <file>filtereditdialog.cpp</file>
    <file>filtereditdialog.h</file>
    <file>filterselectionwidget.cpp</file>
    <file>filterselectionwidget.h</file>
    <file>freebusywidget.cpp</file>
    <file>freebusywidget.h</file>
    <file>geowidget.cpp</file>
    <file>geowidget.h</file>
    <file>imagewidget.cpp</file>
    <file>imagewidget.h</file>
    <file>incsearchwidget.cpp</file>
    <file>incsearchwidget.h</file>
    <file>jumpbuttonbar.cpp</file>
    <file>jumpbuttonbar.h</file>
    <file>kabcore.cpp</file>
    <file>kabcore.h</file>
    <file>kablock.cpp</file>
    <file>kablock.h</file>
    <file>kabprefs.cpp</file>
    <file>kabprefs.h</file>
    <file>kaddressbook_options.h</file>
    <file>kaddressbook_part.cpp</file>
    <file>kaddressbook_part.h</file>
    <file>kaddressbookiface.h</file>
    <file>kaddressbookmain.cpp</file>
    <file>kaddressbookmain.h</file>
    <file>kaddressbookservice.cpp</file>
    <file>kaddressbookservice.h</file>
    <file>kaddressbookview.cpp</file>
    <file>kaddressbookview.h</file>
    <file>keywidget.cpp</file>
    <file>keywidget.h</file>
    <file>ldapsearchdialog.cpp</file>
    <file>ldapsearchdialog.h</file>
    <file>locationmap.cpp</file>
    <file>locationmap.h</file>
    <file>main.cpp</file>
    <file>nameeditdialog.cpp</file>
    <file>nameeditdialog.h</file>
    <file>phoneeditwidget.cpp</file>
    <file>phoneeditwidget.h</file>
    <file>searchmanager.cpp</file>
    <file>searchmanager.h</file>
    <file>secrecywidget.cpp</file>
    <file>secrecywidget.h</file>
    <file>simpleaddresseeeditor.cpp</file>
    <file>simpleaddresseeeditor.h</file>
    <file>soundwidget.cpp</file>
    <file>soundwidget.h</file>
    <file>typecombo.h</file>
    <file>undo.cpp</file>
    <file>undo.h</file>
    <file>undocmds.cpp</file>
    <file>undocmds.h</file>
    <file>viewconfigurefieldspage.cpp</file>
    <file>viewconfigurefieldspage.h</file>
    <file>viewconfigurefilterpage.cpp</file>
    <file>viewconfigurefilterpage.h</file>
    <file>viewconfigurewidget.cpp</file>
    <file>viewconfigurewidget.h</file>
    <file>viewmanager.cpp</file>
    <file>viewmanager.h</file>
    <file>xxportmanager.cpp</file>
    <file>xxportmanager.h</file>
    <file>xxportselectdialog.cpp</file>
    <file>xxportselectdialog.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/kcmconfigs/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/kcmconfigs/</path>
    <filename>dir_000001.html</filename>
    <file>addhostdialog.cpp</file>
    <file>addhostdialog.h</file>
    <file>addresseewidget.cpp</file>
    <file>addresseewidget.h</file>
    <file>extensionconfigdialog.cpp</file>
    <file>extensionconfigdialog.h</file>
    <file>kabconfigwidget.cpp</file>
    <file>kabconfigwidget.h</file>
    <file>kcmkabconfig.cpp</file>
    <file>kcmkabconfig.h</file>
    <file>kcmkabcustomfields.cpp</file>
    <file>kcmkabcustomfields.h</file>
    <file>kcmkabldapconfig.cpp</file>
    <file>kcmkabldapconfig.h</file>
    <file>ldapoptionswidget.cpp</file>
    <file>ldapoptionswidget.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/printing/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/printing/</path>
    <filename>dir_000006.html</filename>
    <file>detailledstyle.cpp</file>
    <file>detailledstyle.h</file>
    <file>kabentrypainter.cpp</file>
    <file>kabentrypainter.h</file>
    <file>mikesstyle.cpp</file>
    <file>mikesstyle.h</file>
    <file>printingwizard.cpp</file>
    <file>printingwizard.h</file>
    <file>printprogress.cpp</file>
    <file>printprogress.h</file>
    <file>printstyle.cpp</file>
    <file>printstyle.h</file>
    <file>rbs_appearance.ui.h</file>
    <file>ringbinderstyle.cpp</file>
    <file>ringbinderstyle.h</file>
    <file>selectionpage.cpp</file>
    <file>selectionpage.h</file>
    <file>stylepage.cpp</file>
    <file>stylepage.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/thumbnailcreator/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/thumbnailcreator/</path>
    <filename>dir_000009.html</filename>
    <file>ldifvcardcreator.cpp</file>
    <file>ldifvcardcreator.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/views/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/views/</path>
    <filename>dir_000003.html</filename>
    <file>cardview.cpp</file>
    <file>cardview.h</file>
    <file>colorlistbox.cpp</file>
    <file>colorlistbox.h</file>
    <file>configurecardviewdialog.cpp</file>
    <file>configurecardviewdialog.h</file>
    <file>configuretableviewdialog.cpp</file>
    <file>configuretableviewdialog.h</file>
    <file>contactlistview.cpp</file>
    <file>contactlistview.h</file>
    <file>kaddressbookcardview.cpp</file>
    <file>kaddressbookcardview.h</file>
    <file>kaddressbookiconview.cpp</file>
    <file>kaddressbookiconview.h</file>
    <file>kaddressbooktableview.cpp</file>
    <file>kaddressbooktableview.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/xxport/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kaddressbook/xxport/</path>
    <filename>dir_000002.html</filename>
    <file>bookmark_xxport.cpp</file>
    <file>bookmark_xxport.h</file>
    <file>csv_xxport.cpp</file>
    <file>csv_xxport.h</file>
    <file>csvimportdialog.cpp</file>
    <file>csvimportdialog.h</file>
    <file>dateparser.cpp</file>
    <file>dateparser.h</file>
    <file>eudora_xxport.cpp</file>
    <file>eudora_xxport.h</file>
    <file>gnokii_xxport.cpp</file>
    <file>gnokii_xxport.h</file>
    <file>kde2_xxport.cpp</file>
    <file>kde2_xxport.h</file>
    <file>ldif_xxport.cpp</file>
    <file>ldif_xxport.h</file>
    <file>opera_xxport.cpp</file>
    <file>opera_xxport.h</file>
    <file>pab_mapihd.cpp</file>
    <file>pab_mapihd.h</file>
    <file>pab_pablib.cpp</file>
    <file>pab_pablib.h</file>
    <file>pab_xxport.cpp</file>
    <file>pab_xxport.h</file>
    <file>vcard_xxport.cpp</file>
    <file>vcard_xxport.h</file>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintingWizard</name>
    <filename>classKABPrinting_1_1PrintingWizard.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintingWizard</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KPrinter *printer, KABC::AddressBook *ab, const QStringList &amp;selection, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerStyles</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::AddressBook *</type>
      <name>addressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPrinter *</type>
      <name>printer</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStyleSelected</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>accept</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; PrintStyleFactory &gt;</type>
      <name>mStyleFactories</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; PrintStyle &gt;</type>
      <name>mStyleList</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Filter::List</type>
      <name>mFilters</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPrinter *</type>
      <name>mPrinter</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KABC::AddressBook *</type>
      <name>mAddressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mSelection</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintStyle *</type>
      <name>mStyle</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>StylePage *</type>
      <name>mStylePage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SelectionPage *</type>
      <name>mSelectionPage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintProgress</name>
    <filename>classKABPrinting_1_1PrintProgress.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>PrintProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMessage</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyle</name>
    <filename>classKABPrinting_1_1PrintStyle.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>PrintStyle</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KABC::Addressee::List &amp;contacts, PrintProgress *)=0</arglist>
    </member>
    <member kind="function">
      <type>const QPixmap &amp;</type>
      <name>preview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hidePages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Field *</type>
      <name>preferredSortField</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferredSortType</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QPixmap &amp;image)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreferredSortOptions</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(KABC::Field *field, bool ascending=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>PrintingWizard *</type>
      <name>wizard</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPage</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(QWidget *page, const QString &amp;title)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyleFactory</name>
    <filename>classKABPrinting_1_1PrintStyleFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintStyleFactory</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PrintStyle *</type>
      <name>create</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintingWizard *</type>
      <name>mParent</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char *</type>
      <name>mName</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
