<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>%Karm API Overview</title>
    <filename>index</filename>
    <docanchor file="index">map</docanchor>
    <docanchor file="index">intro</docanchor>
    <docanchor file="index">related</docanchor>
  </compound>
  <compound kind="class">
    <name>KAccelMenuWatch</name>
    <filename>classKAccelMenuWatch.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>updateMenus</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KAccel *accel, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QPopupMenu *menu)</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>currentMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int itemId, const char *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int itemId, KStdAccel::StdAccel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmStorage</name>
    <filename>classKarmStorage.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>load</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(TaskView *taskview, const Preferences *preferences)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(TaskView *view)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(TaskView *taskview)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFileCumulative</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>report</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(TaskView *taskview, const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const Task *task, const long deltaSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const Task *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const Task *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const Task *task, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const Task *task, const Task *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNewStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const Preferences *preferences) const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KarmStorage *</type>
      <name>instance</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArmTimeWidget</name>
    <filename>classKArmTimeWidget.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KArmTimeWidget</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(int hour, int minute)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DesktopTracker</name>
    <filename>classDesktopTracker.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>handleDesktopChange</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>reachedtActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>leftActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTrackers</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTracking</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerForDesktops</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Task *task, DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktopCount</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EditTaskDialog</name>
    <filename>classEditTaskDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>EditTaskDialog</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QString caption, bool editDlg, DesktopList *desktopList=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTask</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name, long time, long sessionTime)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskName</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>status</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(long *time, long *timeDiff, long *session, long *sessionDiff, DesktopList *desktopList) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HistoryEvent</name>
    <filename>classHistoryEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QString uid, QString name, long duration, QDateTime start, QDateTime stop, QString todoUid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>duration</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>start</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>stop</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>todoUid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleTimeDetector</name>
    <filename>classIdleTimeDetector.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>setMaxIdle</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOverAllIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleTimeDetector</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdleDetectionPossible</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>keyBindings</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>resetAllTimes</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(long, long)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>save</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j9</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>disableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>j11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>startStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyPrinter</name>
    <filename>classMyPrinter.html</filename>
    <member kind="function">
      <type></type>
      <name>MyPrinter</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const TaskView *taskView)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printLine</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QString total, QString session, QString name, QPainter &amp;, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Task *task, QPainter &amp;, int level)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>calculateReqNameWidth</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Task *task, QFontMetrics &amp;metrics, int level)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Preferences</name>
    <filename>classPreferences.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>showDialog</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>load</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setupChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIdleDetection</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>activeCalendarFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>logging</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>promptDelete</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayColumn</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int n) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userRealName</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignals</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readBoolEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;key, bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Preferences *</type>
      <name>instance</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>idleDetectCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReportCriteria</name>
    <filename>classReportCriteria.html</filename>
    <member kind="enumeration">
      <name>REPORTTYPE</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>REPORTTYPE</type>
      <name>reportType</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>from</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>to</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>decimalMinutes</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>delimiter</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>quote</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Task</name>
    <filename>classTask.html</filename>
    <base>QObject</base>
    <base>QListViewItem</base>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Task *thisTask)</arglist>
    </member>
    <member kind="function">
      <type>constructors</type>
      <name>Task</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;taskame, long minutes, long sessionTime, DesktopList desktops, TaskView *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;taskame, long minutes, long sessionTime, DesktopList desktops, Task *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KCal::Todo *incident, TaskView *parent)</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>firstChild</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>nextSibling</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>parent</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TaskView *</type>
      <name>taskView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cut</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(QListViewItem *i, int col, bool ascending) const </arglist>
    </member>
    <member kind="function">
      <type>timing related functions void</type>
      <name>changeTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(long minutes, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(long minutesSession, long minutes, KarmStorage *storage=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>returns the times accumulated by the task *return total time in minutes *long</type>
      <name>time</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>sessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalSessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>startTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>desktop related functions void</type>
      <name>setDesktopList</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>DesktopList</type>
      <name>getDesktops</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getDesktopStr</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>name related functions void</type>
      <name>setName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;name, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>the state of a Task running void</type>
      <name>setRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(bool on, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseIncidence</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(KCal::Incidence *, long &amp;minutes, long &amp;sessionMinutes, QString &amp;name, DesktopList &amp;desktops, int &amp;percent_complete)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Todo *</type>
      <name>asTodo</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(KCal::Todo *calendar) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(QString comment, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRoot</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(QPtrList&lt; Task &gt; &amp;activeTasks, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const int percent, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFromView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>the state of a Task</type>
      <name>stopped</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateActiveIcon</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changeParentTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskView</name>
    <filename>classTaskView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(QListViewItem *=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>(QString caption, Task *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportcsvFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportcsvHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i12</anchor>
      <arglist>(bool markingascomplete=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsComplete</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i14</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>taskTotalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i15</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>adaptColumns</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i17</anchor>
      <arglist>(Task *deletedTask)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i18</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i19</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>iCalFileChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i20</anchor>
      <arglist>(QString file)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipTotals</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>i22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersActive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersInactive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tasksChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskView</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>first_child</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>current_item</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>item_at_index</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimeForAllTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>count</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleSave</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Preferences *</type>
      <name>preferences</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSavePeriodChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(int period)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>minuteUpdate</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>itemStateChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>deleteItemState</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeKard</name>
    <filename>classTimeKard.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>totalsAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(TaskView *taskview, bool justThisTask=true)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>historyAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(TaskView *taskview, const QDate &amp;from, const QDate &amp;to, bool justThisTask=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Task *t, QString &amp;s, int level)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printWeekTask</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Task *t, const QMap&lt; QString, long &gt; &amp;datamap, QMap&lt; QString, long &gt; &amp;daytotals, const Week &amp;week, const int level, QString &amp;retval)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Week</name>
    <filename>classWeek.html</filename>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QDate from)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>start</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>end</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QDate &gt;</type>
      <name>days</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; Week &gt;</type>
      <name>weeksFromDateRange</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>sig_slot_index</name>
    <title>Index of Signals and Slots</title>
    <filename>sig_slot_index</filename>
    <docanchor file="sig_slot_index">overview</docanchor>
    <docanchor file="sig_slot_index">private</docanchor>
    <docanchor file="sig_slot_index">protected</docanchor>
    <docanchor file="sig_slot_index">public</docanchor>
    <docanchor file="sig_slot_index">signals</docanchor>
    <docanchor file="sig_slot_index">slots</docanchor>
  </compound>
  <compound kind="page">
    <name>connections</name>
    <title>Index of the signal/slot connections</title>
    <filename>connections</filename>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/karm/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/karm/</path>
    <filename>dir_000000.html</filename>
    <file>csvexportdialog.cpp</file>
    <file>csvexportdialog.h</file>
    <file>desktoplist.h</file>
    <file>desktoptracker.cpp</file>
    <file>desktoptracker.h</file>
    <file>edittaskdialog.cpp</file>
    <file>edittaskdialog.h</file>
    <file>idletimedetector.cpp</file>
    <file>idletimedetector.h</file>
    <file>kaccelmenuwatch.cpp</file>
    <file>kaccelmenuwatch.h</file>
    <file>karmstorage.cpp</file>
    <file>karmstorage.h</file>
    <file>karmutility.cpp</file>
    <file>karmutility.h</file>
    <file>ktimewidget.cpp</file>
    <file>ktimewidget.h</file>
    <file>main.cpp</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>preferences.cpp</file>
    <file>preferences.h</file>
    <file>print.cpp</file>
    <file>print.h</file>
    <file>printdialog.cpp</file>
    <file>printdialog.h</file>
    <file>reportcriteria.h</file>
    <file>task.cpp</file>
    <file>task.h</file>
    <file>taskview.cpp</file>
    <file>taskview.h</file>
    <file>timekard.cpp</file>
    <file>timekard.h</file>
    <file>toolicons.h</file>
    <file>tray.cpp</file>
    <file>tray.h</file>
    <file>version.h</file>
  </compound>
</tagfile>
