<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KSharedFile</name>
    <filename>classKSharedFile.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>fileWriteUnlocked</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fileWriteLocked</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fileChanged</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>slotFileChanged</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSharedFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSharedFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QFile &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QFile &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Ticket *</type>
      <name>requestWriteTicket</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Ticket *</type>
      <name>requestReadTicket</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Ticket *ticket, const QString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(Ticket *ticket, const QByteArray &amp;array)</arglist>
    </member>
    <member kind="function">
      <type>QFile *</type>
      <name>save</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>readAsString</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(bool &amp;ok, Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readAsByteArray</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(bool &amp;ok, Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>QFile *</type>
      <name>readAsFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>unlockReadFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>unlockWriteFile</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canReadLock</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canWriteLock</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>didIReadLock</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>didIWriteLock</name>
      <anchorfile>classKSharedFile.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSharedFileDevice</name>
    <filename>classKSharedFileDevice.html</filename>
    <base>QFile</base>
    <member kind="function">
      <type></type>
      <name>KSharedFileDevice</name>
      <anchorfile>classKSharedFileDevice.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSharedFileDevice</name>
      <anchorfile>classKSharedFileDevice.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>open</name>
      <anchorfile>classKSharedFileDevice.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>close</name>
      <anchorfile>classKSharedFileDevice.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KShareFileModule</name>
    <filename>classKShareFileModule.html</filename>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>interestedIn</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>removeInterestIn</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>readShareFile</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>readUnshareFile</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>writeLockFile</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>writeUnlockFile</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(const QString &amp;resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KShareFileModule</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KShareFileModule</name>
      <anchorfile>classKShareFileModule.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/addressbook/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/addressbook/</path>
    <filename>dir_000006.html</filename>
    <file>addressbookbase.ui.h</file>
    <file>addressbookpart.cpp</file>
    <file>addressbookpart.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/agenda/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/agenda/</path>
    <filename>dir_000008.html</filename>
    <file>agendaplugin.cpp</file>
    <file>agendaplugin.h</file>
    <file>plugins/agenda/configwidget.cpp</file>
    <file>plugins/agenda/configwidget.h</file>
    <file>converterbase.cpp</file>
    <file>converterbase.h</file>
    <file>dbwrapper.cpp</file>
    <file>dbwrapper.h</file>
    <file>plugins/agenda/konnector.cpp</file>
    <file>plugins/agenda/konnector.h</file>
    <file>agenda/md5map.cpp</file>
    <file>agenda/md5map.h</file>
    <file>agenda/md5metatemplate.h</file>
    <file>agenda/socket.cpp</file>
    <file>agenda/socket.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/backup/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/backup/</path>
    <filename>dir_000009.html</filename>
    <file>backup.cpp</file>
    <file>backup.h</file>
    <file>backupview.cpp</file>
    <file>backupview.h</file>
    <file>restore.cpp</file>
    <file>restore.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/debugger/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/debugger/</path>
    <filename>dir_000011.html</filename>
    <file>debugger.cpp</file>
    <file>debugger.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/dummy/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/dummy/</path>
    <filename>dir_000012.html</filename>
    <file>dummykonnector.cpp</file>
    <file>dummykonnector.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/fileview/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/fileview/</path>
    <filename>dir_000013.html</filename>
    <file>fileviewpart.cpp</file>
    <file>fileviewpart.h</file>
    <file>fileviewwidget.cpp</file>
    <file>fileviewwidget.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kabc/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kabc/</path>
    <filename>dir_000014.html</filename>
    <file>kabckonnector.cpp</file>
    <file>kabckonnector.h</file>
    <file>kabckonnectorconfig.cpp</file>
    <file>kabckonnectorconfig.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kcal/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kcal/</path>
    <filename>dir_000015.html</filename>
    <file>kcalkonnector.cpp</file>
    <file>kcalkonnector.h</file>
    <file>kcalkonnectorconfig.cpp</file>
    <file>kcalkonnectorconfig.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/</path>
    <filename>dir_000001.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/addressbook/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/backup/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/debugger/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/fileview/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/lib/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/organizer/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/overview/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/syncerpart/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/viewer/</dir>
    <file>configproxy.h</file>
    <file>main.cpp</file>
    <file>splash.cpp</file>
    <file>splash.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/</path>
    <filename>dir_000000.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/klockfile/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libksync/</dir>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/klockfile/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/klockfile/</path>
    <filename>dir_000016.html</filename>
    <file>kdedsharedfile.cpp</file>
    <file>kdedsharedfile.h</file>
    <file>ksharedfile.cpp</file>
    <file>ksharedfile.h</file>
    <file>ksharedfiledevice.cpp</file>
    <file>ksharedfiledevice.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/lib/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/lib/</path>
    <filename>dir_000002.html</filename>
    <file>aboutdata.cpp</file>
    <file>aboutdata.h</file>
    <file>actionmanager.cpp</file>
    <file>actionmanager.h</file>
    <file>actionpart.cpp</file>
    <file>actionpart.h</file>
    <file>actionpartservice.cpp</file>
    <file>actionpartservice.h</file>
    <file>lib/configproxy.h</file>
    <file>configuredialog.cpp</file>
    <file>configuredialog.h</file>
    <file>core.cpp</file>
    <file>core.h</file>
    <file>engine.cpp</file>
    <file>engine.h</file>
    <file>kitchensync.cpp</file>
    <file>kitchensync.h</file>
    <file>kitchensync_part.cpp</file>
    <file>kitchensync_part.h</file>
    <file>konnectorbar.cpp</file>
    <file>konnectorbar.h</file>
    <file>konnectorview.cpp</file>
    <file>konnectorview.h</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>partbar.cpp</file>
    <file>partbar.h</file>
    <file>profile.cpp</file>
    <file>profile.h</file>
    <file>profilecheckitem.cpp</file>
    <file>profilecheckitem.h</file>
    <file>profileconfig.cpp</file>
    <file>profileconfig.h</file>
    <file>profiledialog.cpp</file>
    <file>profiledialog.h</file>
    <file>profileitem.cpp</file>
    <file>profileitem.h</file>
    <file>profilemanager.cpp</file>
    <file>profilemanager.h</file>
    <file>profilewizard.cpp</file>
    <file>profilewizard.h</file>
    <file>syncalgo.cpp</file>
    <file>syncalgo.h</file>
    <file>syncconfig.cpp</file>
    <file>syncconfig.h</file>
    <file>synchelper.cpp</file>
    <file>synchelper.h</file>
    <file>systemtray.cpp</file>
    <file>systemtray.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/</path>
    <filename>dir_000003.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/</dir>
    <file>configpart.cpp</file>
    <file>configpart.h</file>
    <file>configwidget.cpp</file>
    <file>configwidget.h</file>
    <file>error.cpp</file>
    <file>error.h</file>
    <file>filter.h</file>
    <file>idhelper.cpp</file>
    <file>idhelper.h</file>
    <file>kapabilities.cpp</file>
    <file>kapabilities.h</file>
    <file>kdevice.cpp</file>
    <file>kdevice.h</file>
    <file>konnector.cpp</file>
    <file>konnector.h</file>
    <file>konnectorhandle.h</file>
    <file>konnectorinfo.cpp</file>
    <file>konnectorinfo.h</file>
    <file>konnectormanager.cpp</file>
    <file>konnectormanager.h</file>
    <file>notify.cpp</file>
    <file>notify.h</file>
    <file>progress.cpp</file>
    <file>progress.h</file>
    <file>stderror.cpp</file>
    <file>stderror.h</file>
    <file>stdprogress.cpp</file>
    <file>stdprogress.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libksync/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libksync/</path>
    <filename>dir_000007.html</filename>
    <file>addressbooksyncee.cpp</file>
    <file>addressbooksyncee.h</file>
    <file>bookmarksyncee.cpp</file>
    <file>bookmarksyncee.h</file>
    <file>calendarsyncee.cpp</file>
    <file>calendarsyncee.h</file>
    <file>conflictdialog.cpp</file>
    <file>conflictdialog.h</file>
    <file>debug.h</file>
    <file>eventsyncee.cpp</file>
    <file>eventsyncee.h</file>
    <file>incidencetemplate.h</file>
    <file>kontainer.cpp</file>
    <file>kontainer.h</file>
    <file>opiedesktopsyncee.cpp</file>
    <file>opiedesktopsyncee.h</file>
    <file>standardsync.cpp</file>
    <file>standardsync.h</file>
    <file>syncalgorithm.cpp</file>
    <file>syncalgorithm.h</file>
    <file>syncee.cpp</file>
    <file>syncee.h</file>
    <file>synceelist.cpp</file>
    <file>synceelist.h</file>
    <file>syncentry.cpp</file>
    <file>syncentry.h</file>
    <file>syncer.cpp</file>
    <file>syncer.h</file>
    <file>synctemplate.h</file>
    <file>syncui.cpp</file>
    <file>syncui.h</file>
    <file>syncuikde.cpp</file>
    <file>syncuikde.h</file>
    <file>syncuikdeplugin.h</file>
    <file>todosyncee.cpp</file>
    <file>todosyncee.h</file>
    <file>unknownsyncee.cpp</file>
    <file>unknownsyncee.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/local/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/local/</path>
    <filename>dir_000017.html</filename>
    <file>localkonnector.cpp</file>
    <file>localkonnector.h</file>
    <file>localkonnectorconfig.cpp</file>
    <file>localkonnectorconfig.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/organizer/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/organizer/</path>
    <filename>dir_000018.html</filename>
    <file>organizerbase.ui.h</file>
    <file>organizerpart.cpp</file>
    <file>organizerpart.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/overview/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/overview/</path>
    <filename>dir_000019.html</filename>
    <file>overviewpart.cpp</file>
    <file>overviewpart.h</file>
    <file>overviewprogressentry.cpp</file>
    <file>overviewprogressentry.h</file>
    <file>overviewwidget.cpp</file>
    <file>overviewwidget.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/</path>
    <filename>dir_000004.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/agenda/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/dummy/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kabc/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/kcal/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/local/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/qtopia/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/remote/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/threadedkonnector/</dir>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/qtopia/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/qtopia/</path>
    <filename>dir_000005.html</filename>
    <file>addressbook.cpp</file>
    <file>addressbook.h</file>
    <file>categoryedit.cpp</file>
    <file>categoryedit.h</file>
    <file>datebook.cpp</file>
    <file>datebook.h</file>
    <file>desktop.cpp</file>
    <file>desktop.h</file>
    <file>device.cpp</file>
    <file>device.h</file>
    <file>extramap.cpp</file>
    <file>extramap.h</file>
    <file>helper.cpp</file>
    <file>helper.h</file>
    <file>qtopia/md5map.cpp</file>
    <file>qtopia/md5map.h</file>
    <file>qtopia/md5metatemplate.h</file>
    <file>metaaddressbook.cpp</file>
    <file>metaaddressbook.h</file>
    <file>metadatebook.cpp</file>
    <file>metadatebook.h</file>
    <file>metatodo.cpp</file>
    <file>metatodo.h</file>
    <file>opiecategories.cpp</file>
    <file>opiecategories.h</file>
    <file>qtopiaconfig.cpp</file>
    <file>qtopiaconfig.h</file>
    <file>qtopiakonnector.cpp</file>
    <file>qtopiakonnector.h</file>
    <file>qtopia/socket.cpp</file>
    <file>qtopia/socket.h</file>
    <file>todo.cpp</file>
    <file>todo.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/remote/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/remote/</path>
    <filename>dir_000020.html</filename>
    <file>remotekonnector.cpp</file>
    <file>remotekonnector.h</file>
    <file>remotekonnectorconfig.cpp</file>
    <file>remotekonnectorconfig.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/syncerpart/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/syncerpart/</path>
    <filename>dir_000021.html</filename>
    <file>syncerpart.cpp</file>
    <file>syncerpart.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/threadedkonnector/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/libkonnector2/plugins/threadedkonnector/</path>
    <filename>dir_000010.html</filename>
    <file>clientmanager.cpp</file>
    <file>clientmanager.h</file>
    <file>clientthread.cpp</file>
    <file>clientthread.h</file>
    <file>konnectorconfig.cpp</file>
    <file>konnectorconfig.h</file>
    <file>threadedkonnector.cpp</file>
    <file>threadedkonnector.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/viewer/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/kitchensync/kitchensync/viewer/</path>
    <filename>dir_000022.html</filename>
    <file>viewer.cpp</file>
    <file>viewer.h</file>
  </compound>
  <compound kind="namespace">
    <name>KSync</name>
    <filename>namespaceKSync.html</filename>
    <class kind="class">KSync::ActionManager</class>
    <class kind="class">KSync::ActionPart</class>
    <class kind="class">KSync::ActionPartService</class>
    <class kind="class">KSync::ConfigureDialog</class>
    <class kind="class">KSync::Core</class>
    <class kind="class">KSync::Engine</class>
    <class kind="class">KSync::KitchenSync</class>
    <class kind="class">KSync::KonnectorBar</class>
    <class kind="class">KSync::PartBarItem</class>
    <class kind="class">KSync::PartBar</class>
    <class kind="class">KSync::Profile</class>
    <class kind="class">KSync::ProfileManager</class>
    <class kind="class">KSync::SyncHelper</class>
    <class kind="class">KSync::KSyncSystemTray</class>
    <class kind="class">KSync::ConfigWidget</class>
    <class kind="class">KSync::Error</class>
    <class kind="struct">KSync::Filter</class>
    <class kind="class">KSync::Konnector</class>
    <class kind="class">KSync::KonnectorHandle</class>
    <class kind="class">KSync::KonnectorInfo</class>
    <class kind="class">KSync::Notify</class>
    <class kind="class">KSync::AgendaPlugin</class>
    <class kind="class">KSync::DummyKonnector</class>
    <class kind="class">KSync::AddressBookSyncee</class>
    <class kind="class">KSync::BookmarkSyncee</class>
    <class kind="class">KSync::CalendarSyncee</class>
    <class kind="class">KSync::MetaDebug</class>
    <class kind="class">KSync::SynceeDebug</class>
    <class kind="class">KSync::OpieDesktopSyncEntry</class>
    <class kind="class">KSync::SyncAlgorithm</class>
    <class kind="class">KSync::Syncee</class>
    <class kind="class">KSync::SynceeList</class>
    <class kind="class">KSync::SyncEntry</class>
    <class kind="class">KSync::Syncer</class>
    <class kind="class">KSync::SyncUi</class>
    <class kind="class">KSync::SyncUiKDEPlugin</class>
    <class kind="class">KSync::UnknownSyncEntry</class>
    <member kind="typedef">
      <type>QLabel</type>
      <name>KonnectorLabel</name>
      <anchorfile>namespaceKSync.html</anchorfile>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>MetaDebug</type>
      <name>metaDebug</name>
      <anchorfile>namespaceKSync.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int area=0)</arglist>
    </member>
    <member kind="function">
      <type>SynceeDebug</type>
      <name>synceeDebug</name>
      <anchorfile>namespaceKSync.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(int area=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ActionManager</name>
    <filename>classKSync_1_1ActionManager.html</filename>
    <member kind="function">
      <type></type>
      <name>ActionManager</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KActionCollection *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setView</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KitchenSync *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentProfile</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProfiles</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QStringList &amp;profiles)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initActions</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKSync_1_1ActionManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ActionPart</name>
    <filename>classKSync_1_1ActionPart.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSynceesRead</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSynceeReadError</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSynceesWritten</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSynceeWriteError</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotConfigOk</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_progress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(ActionPart *, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_progress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(ActionPart *, const Progress &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_error</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(ActionPart *, const Error &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_syncStatus</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(ActionPart *, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionPart</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>syncProgress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>syncStatus</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>iconName</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasGui</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>configIsVisible</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canSync</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const SynceeList &amp;in, SynceeList &amp;out)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>executeAction</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>filterKonnectors</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(QPtrList&lt; Konnector &gt; &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>needsKonnectorRead</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>needsKonnectorWrite</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(const Progress &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const Error &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>confirmBeforeWriting</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectPartChange</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectPartProgress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectPartError</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectKonnectorProgress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectKonnectorError</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectSyncProgress</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectProfileChanged</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectKonnectorDownloaded</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectStartSync</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b12</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectDoneSync</name>
      <anchorfile>classKSync_1_1ActionPart.html</anchorfile>
      <anchor>b13</anchor>
      <arglist>(const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ActionPartService</name>
    <filename>classKSync_1_1ActionPartService.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; ActionPartService &gt;</type>
      <name>List</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionPartService</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionPartService</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KService::Ptr &amp;service)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const ActionPartService &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const ActionPartService &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libname</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLibname</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>ActionPartService &amp;</type>
      <name>operator=</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const ActionPartService &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const ActionPartService::List &amp;</type>
      <name>availableParts</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionPartService</type>
      <name>partForId</name>
      <anchorfile>classKSync_1_1ActionPartService.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ConfigureDialog</name>
    <filename>classKSync_1_1ConfigureDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>ok</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigureDialog</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>show</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addWidget</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget, const QString &amp;name, QPixmap *pixmap)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>apply</name>
      <anchorfile>classKSync_1_1ConfigureDialog.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Core</name>
    <filename>classKSync_1_1Core.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>profileChanged</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const Profile &amp;oldProfile)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>konnectorProgress</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Konnector *konnector, const Progress &amp;prog)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>konnectorError</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(Konnector *konnector, const Error &amp;err)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partChanged</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(ActionPart *newPart)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partProgress</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(ActionPart *part, const Progress &amp;prog)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partError</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(ActionPart *part, const Error &amp;error)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startSync</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startSync</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l7</anchor>
      <arglist>(ActionPart *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>syncProgress</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l8</anchor>
      <arglist>(ActionPart *, int, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doneSync</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doneSync</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>l10</anchor>
      <arglist>(ActionPart *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Core</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Profile</type>
      <name>currentProfile</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ProfileManager *</type>
      <name>profileManager</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Engine *</type>
      <name>engine</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SyncUi *</type>
      <name>syncUi</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SyncAlgorithm *</type>
      <name>syncAlgorithm</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const QPtrList&lt; ActionPart &gt;</type>
      <name>parts</name>
      <anchorfile>classKSync_1_1Core.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Engine</name>
    <filename>classKSync_1_1Engine.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QPtrList&lt; ActionPart &gt; &amp;parts)</arglist>
    </member>
    <member kind="function">
      <type>Konnector::List</type>
      <name>konnectors</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>go</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSynceesRead</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSynceeReadError</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSynceesWritten</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSynceeWriteError</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotProgress</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(Konnector *, const Progress &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotError</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>(Konnector *, const Error &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>logMessage</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>tryExecuteActions</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>executeActions</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>tryFinish</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finish</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>disconnectDevice</name>
      <anchorfile>classKSync_1_1Engine.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(Konnector *k)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::KitchenSync</name>
    <filename>classKSync_1_1KitchenSync.html</filename>
    <base>KSync::Core</base>
    <member kind="slot">
      <type>void</type>
      <name>initProfiles</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateProfile</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KitchenSync</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ActionManager *, QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readProfileConfig</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeProfileConfig</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widgetStack</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSyncSystemTray *</type>
      <name>tray</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Profile</type>
      <name>currentProfile</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ProfileManager *</type>
      <name>profileManager</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Engine *</type>
      <name>engine</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>SyncUi *</type>
      <name>syncUi</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncAlgorithm *</type>
      <name>syncAlgorithm</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; ActionPart &gt;</type>
      <name>parts</name>
      <anchorfile>classKSync_1_1KitchenSync.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::KonnectorBar</name>
    <filename>classKSync_1_1KonnectorBar.html</filename>
    <base>QHBox</base>
    <member kind="signal">
      <type>void</type>
      <name>toggled</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonnectorBar</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonnectorBar</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>state</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOn</name>
      <anchorfile>classKSync_1_1KonnectorBar.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::PartBarItem</name>
    <filename>classKSync_1_1PartBarItem.html</filename>
    <base>QListBoxPixmap</base>
    <member kind="function">
      <type></type>
      <name>PartBarItem</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(PartBar *, ActionPart *)</arglist>
    </member>
    <member kind="function">
      <type>ActionPart *</type>
      <name>part</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;icon, KIcon::Group group=KIcon::Panel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchorfile>classKSync_1_1PartBarItem.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::PartBar</name>
    <filename>classKSync_1_1PartBar.html</filename>
    <base>QFrame</base>
    <member kind="signal">
      <type>void</type>
      <name>activated</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(ActionPart *part)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartBar</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PartBarItem *</type>
      <name>insertItem</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(ActionPart *part, int pos=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setListBox</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KListBox *)</arglist>
    </member>
    <member kind="function">
      <type>KListBox *</type>
      <name>listBox</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>minimumSizeHint</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PartBarItem *</type>
      <name>currentItem</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectPart</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelected</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKSync_1_1PartBar.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Profile</name>
    <filename>classKSync_1_1Profile.html</filename>
    <member kind="typedef">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>PathMap</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; Profile &gt;</type>
      <name>List</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Profile</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Profile</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Profile</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pixmap</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>confirmSync</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>confirmDelete</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmap</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;pix)</arglist>
    </member>
    <member kind="function">
      <type>ActionPartService::List</type>
      <name>actionParts</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionParts</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const ActionPartService::List &amp;lst)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;partName) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;partName, const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPaths</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const PathMap &amp;)</arglist>
    </member>
    <member kind="function">
      <type>PathMap</type>
      <name>paths</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfirmSync</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfirmDelete</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>Profile &amp;</type>
      <name>operator=</name>
      <anchorfile>classKSync_1_1Profile.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ProfileManager</name>
    <filename>classKSync_1_1ProfileManager.html</filename>
    <member kind="function">
      <type></type>
      <name>ProfileManager</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProfileManager</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Profile::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ProfileManager</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Profile</type>
      <name>currentProfile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentProfile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Profile &amp;profile)</arglist>
    </member>
    <member kind="function">
      <type>Profile::List</type>
      <name>profiles</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProfiles</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const Profile::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>Profile</type>
      <name>byName</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Profile::List</type>
      <name>byName2</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Profile</type>
      <name>profile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int index) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>count</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProfile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>replaceProfile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeProfile</name>
      <anchorfile>classKSync_1_1ProfileManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SyncHelper</name>
    <filename>classKSync_1_1SyncHelper.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSync_1_1SyncHelper.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncHelper</name>
      <anchorfile>classKSync_1_1SyncHelper.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(SyncUi *, SyncAlgorithm *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classKSync_1_1SyncHelper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSyncee</name>
      <anchorfile>classKSync_1_1SyncHelper.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Syncee *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>customEvent</name>
      <anchorfile>classKSync_1_1SyncHelper.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QCustomEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::KSyncSystemTray</name>
    <filename>classKSync_1_1KSyncSystemTray.html</filename>
    <member kind="function">
      <type></type>
      <name>KSyncSystemTray</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>KPopupMenu *</type>
      <name>getContextMenu</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotConnection</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QPixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>noConnection</name>
      <anchorfile>classKSync_1_1KSyncSystemTray.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::ConfigWidget</name>
    <filename>classKSync_1_1ConfigWidget.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigWidget</name>
      <anchorfile>classKSync_1_1ConfigWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const Kapabilities &amp;, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigWidget</name>
      <anchorfile>classKSync_1_1ConfigWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ConfigWidget</name>
      <anchorfile>classKSync_1_1ConfigWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Kapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKSync_1_1ConfigWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setCapabilities</name>
      <anchorfile>classKSync_1_1ConfigWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const Kapabilities &amp;)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Error</name>
    <filename>classKSync_1_1Error.html</filename>
    <base>KSync::Notify</base>
    <member kind="function">
      <type></type>
      <name>Error</name>
      <anchorfile>classKSync_1_1Error.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int number, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Error</name>
      <anchorfile>classKSync_1_1Error.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1Error.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Error &amp;rhs)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSync::Filter</name>
    <filename>structKSync_1_1Filter.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; Filter &gt;</type>
      <name>PtrList</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>canFilter</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Syncee *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Syncee *</type>
      <name>reconvert</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Syncee *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Syncee *</type>
      <name>convert</name>
      <anchorfile>structKSync_1_1Filter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Syncee *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Konnector</name>
    <filename>classKSync_1_1Konnector.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; Konnector &gt;</type>
      <name>List</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>synceesRead</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>synceeReadError</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>synceesWritten</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>synceeWriteError</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(Konnector *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_progress</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(Konnector *, const Progress &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_error</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(Konnector *, const Error &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sig_downloaded</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(Konnector *, const SynceeList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Konnector</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Konnector</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SynceeList</type>
      <name>syncees</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>readSyncees</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>writeSyncees</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Kapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>connectDevice</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>disconnectDevice</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KonnectorInfo</type>
      <name>info</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;res)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;res)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>resources</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>builtIn</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const Progress &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKSync_1_1Konnector.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const Error &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::KonnectorHandle</name>
    <filename>classKSync_1_1KonnectorHandle.html</filename>
    <base>QObject</base>
  </compound>
  <compound kind="class">
    <name>KSync::KonnectorInfo</name>
    <filename>classKSync_1_1KonnectorInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KonnectorInfo</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QIconSet &amp;=QIconSet(), const QString &amp;id=QString::null, const QString &amp;metaId=QString::null, const QString &amp;iconName=QString::null, bool isCon=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KonnectorInfo &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QIconSet</type>
      <name>iconSet</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>metaId</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconName</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchorfile>classKSync_1_1KonnectorInfo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Notify</name>
    <filename>classKSync_1_1Notify.html</filename>
    <member kind="function">
      <type></type>
      <name>Notify</name>
      <anchorfile>classKSync_1_1Notify.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int code, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Notify</name>
      <anchorfile>classKSync_1_1Notify.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKSync_1_1Notify.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Notify &amp;)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>code</name>
      <anchorfile>classKSync_1_1Notify.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKSync_1_1Notify.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::AgendaPlugin</name>
    <filename>classKSync_1_1AgendaPlugin.html</filename>
  </compound>
  <compound kind="class">
    <name>KSync::DummyKonnector</name>
    <filename>classKSync_1_1DummyKonnector.html</filename>
    <base>KSync::Konnector</base>
    <member kind="function">
      <type></type>
      <name>DummyKonnector</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>KSync::Kapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCapabilities</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KSync::Kapabilities &amp;)</arglist>
    </member>
    <member kind="function">
      <type>SynceeList</type>
      <name>syncees</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readSyncees</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeSyncees</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDevice</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDevice</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSync::KonnectorInfo</type>
      <name>info</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KSync::ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const KSync::Kapabilities &amp;, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>KSync::ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKSync_1_1DummyKonnector.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::AddressBookSyncee</name>
    <filename>classKSync_1_1AddressBookSyncee.html</filename>
    <base>KSync::Syncee</base>
    <member kind="function">
      <type></type>
      <name>AddressBookSyncee</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KABC::AddressBook *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AddressBookSyncEntry *</type>
      <name>firstEntry</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AddressBookSyncEntry *</type>
      <name>nextEntry</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>added</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>modified</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>removed</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>newId</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeBackup</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>restoreBackup</name>
      <anchorfile>classKSync_1_1AddressBookSyncee.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::BookmarkSyncee</name>
    <filename>classKSync_1_1BookmarkSyncee.html</filename>
    <base>KSync::Syncee</base>
    <member kind="function">
      <type></type>
      <name>BookmarkSyncee</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KBookmarkManager *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BookmarkSyncEntry *</type>
      <name>firstEntry</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BookmarkSyncEntry *</type>
      <name>nextEntry</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeBackup</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>restoreBackup</name>
      <anchorfile>classKSync_1_1BookmarkSyncee.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::CalendarSyncee</name>
    <filename>classKSync_1_1CalendarSyncee.html</filename>
    <base>KSync::Syncee</base>
    <member kind="function">
      <type></type>
      <name>CalendarSyncee</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KCal::Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CalendarSyncEntry *</type>
      <name>firstEntry</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CalendarSyncEntry *</type>
      <name>nextEntry</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>added</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>modified</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry::PtrList</type>
      <name>removed</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Syncee *</type>
      <name>clone</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Calendar *</type>
      <name>calendar</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeBackup</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>restoreBackup</name>
      <anchorfile>classKSync_1_1CalendarSyncee.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::MetaDebug</name>
    <filename>classKSync_1_1MetaDebug.html</filename>
    <member kind="function">
      <type></type>
      <name>MetaDebug</name>
      <anchorfile>classKSync_1_1MetaDebug.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int area)</arglist>
    </member>
    <member kind="function">
      <type>MetaDebug &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKSync_1_1MetaDebug.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Syncee *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SynceeDebug</name>
    <filename>classKSync_1_1SynceeDebug.html</filename>
    <member kind="function">
      <type></type>
      <name>SynceeDebug</name>
      <anchorfile>classKSync_1_1SynceeDebug.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int area)</arglist>
    </member>
    <member kind="function">
      <type>SynceeDebug &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKSync_1_1SynceeDebug.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Syncee *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::OpieDesktopSyncEntry</name>
    <filename>classKSync_1_1OpieDesktopSyncEntry.html</filename>
    <base>KSync::SyncEntry</base>
    <member kind="typedef">
      <type>QPtrList&lt; OpieDesktopSyncEntry &gt;</type>
      <name>PtrList</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OpieDesktopSyncEntry</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QStringList &amp;category, const QString &amp;file, const QString &amp;name, const QString &amp;type, const QString &amp;size, Syncee *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OpieDesktopSyncEntry</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const OpieDesktopSyncEntry &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>file</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileType</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>size</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>category</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>timestamp</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>equals</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry *</type>
      <name>clone</name>
      <anchorfile>classKSync_1_1OpieDesktopSyncEntry.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SyncAlgorithm</name>
    <filename>classKSync_1_1SyncAlgorithm.html</filename>
    <member kind="function">
      <type></type>
      <name>SyncAlgorithm</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(SyncUi *ui=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SyncAlgorithm</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUi</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(SyncUi *ui)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>syncToTarget</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Syncee *syncee, Syncee *target, bool override=false)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>SyncEntry *</type>
      <name>deconflict</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>confirmDelete</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>informBothDeleted</name>
      <anchorfile>classKSync_1_1SyncAlgorithm.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Syncee</name>
    <filename>classKSync_1_1Syncee.html</filename>
    <member kind="function">
      <type></type>
      <name>Syncee</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(uint supportSize=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SyncEntry *</type>
      <name>firstEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SyncEntry *</type>
      <name>nextEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SyncEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(SyncEntry *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(SyncEntry *)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>replaceEntry</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(SyncEntry *oldEntry, SyncEntry *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusLogName</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadLog</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveLog</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasChanged</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>modificationState</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(SyncEntry *entry) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>syncMode</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSyncMode</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(int mode=MetaLess)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSync</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(bool firstSync=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>firstSync</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SyncEntry::PtrList</type>
      <name>added</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SyncEntry::PtrList</type>
      <name>modified</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SyncEntry::PtrList</type>
      <name>removed</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertId</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QString &amp;type, const QString &amp;konnectorId, const QString &amp;kdeId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>newId</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kontainer::ValueList</type>
      <name>ids</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, Kontainer::ValueList &gt;</type>
      <name>ids</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSupports</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QBitArray &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QBitArray</type>
      <name>bitArray</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSource</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;src)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>source</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSupported</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(uint Attribute) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>trustIdsOnFirstSync</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>writeBackup</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const QString &amp;filename)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>restoreBackup</name>
      <anchorfile>classKSync_1_1Syncee.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;filename)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SynceeList</name>
    <filename>classKSync_1_1SynceeList.html</filename>
    <base>QValueList&lt; Syncee * &gt;</base>
    <member kind="function">
      <type>CalendarSyncee *</type>
      <name>calendarSyncee</name>
      <anchorfile>classKSync_1_1SynceeList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>AddressBookSyncee *</type>
      <name>addressBookSyncee</name>
      <anchorfile>classKSync_1_1SynceeList.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>EventSyncee *</type>
      <name>eventSyncee</name>
      <anchorfile>classKSync_1_1SynceeList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TodoSyncee *</type>
      <name>todoSyncee</name>
      <anchorfile>classKSync_1_1SynceeList.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BookmarkSyncee *</type>
      <name>bookmarkSyncee</name>
      <anchorfile>classKSync_1_1SynceeList.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SyncEntry</name>
    <filename>classKSync_1_1SyncEntry.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; SyncEntry &gt;</type>
      <name>PtrList</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncEntry</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Syncee *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SyncEntry</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const SyncEntry &amp;)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>id</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>timestamp</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>equals</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(SyncEntry *)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>match</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(SyncEntry *entry)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>compareTo</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(SyncEntry *entry)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>state</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>wasAdded</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>wasModified</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>wasRemoved</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setState</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(int state=Undefined)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSyncState</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(int state=Undefined)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>syncState</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SyncEntry *</type>
      <name>clone</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncee</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(Syncee *)</arglist>
    </member>
    <member kind="function">
      <type>Syncee *</type>
      <name>syncee</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>mergeWith</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(SyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDontSync</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dontSync</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KPIM::DiffAlgo *</type>
      <name>diffAlgo</name>
      <anchorfile>classKSync_1_1SyncEntry.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(SyncEntry *, SyncEntry *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::Syncer</name>
    <filename>classKSync_1_1Syncer.html</filename>
    <member kind="function">
      <type></type>
      <name>Syncer</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(SyncUi *ui=0, SyncAlgorithm *algorithm=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncAlgorithm</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(SyncAlgorithm *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncUi</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(SyncUi *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSyncee</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Syncee *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>syncAllToTarget</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Syncee *target, bool writeback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>syncToTarget</name>
      <anchorfile>classKSync_1_1Syncer.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Syncee *syncee, Syncee *target, bool override=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SyncUi</name>
    <filename>classKSync_1_1SyncUi.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual SyncEntry *</type>
      <name>deconflict</name>
      <anchorfile>classKSync_1_1SyncUi.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>confirmDelete</name>
      <anchorfile>classKSync_1_1SyncUi.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>informBothDeleted</name>
      <anchorfile>classKSync_1_1SyncUi.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(SyncEntry *syncEntry, SyncEntry *target)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::SyncUiKDEPlugin</name>
    <filename>classKSync_1_1SyncUiKDEPlugin.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>SyncUiKDEPlugin</name>
      <anchorfile>classKSync_1_1SyncUiKDEPlugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name, const QStringList &amp;list)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::UnknownSyncEntry</name>
    <filename>classKSync_1_1UnknownSyncEntry.html</filename>
    <base>KSync::SyncEntry</base>
    <member kind="typedef">
      <type>QPtrList&lt; UnknownSyncEntry &gt;</type>
      <name>PtrList</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>DownLoadMode</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UnknownSyncEntry</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QByteArray &amp;array, const QString &amp;path, Syncee *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UnknownSyncEntry</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fileName, const QString &amp;path, Syncee *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UnknownSyncEntry</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const UnknownSyncEntry &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>array</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mode</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastAccess</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLastAccess</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QDateTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>timestamp</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>equals</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(SyncEntry *entry)</arglist>
    </member>
    <member kind="function">
      <type>SyncEntry *</type>
      <name>clone</name>
      <anchorfile>classKSync_1_1UnknownSyncEntry.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync::OverView::Widget</name>
    <filename>classKSync_1_1OverView_1_1Widget.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>Widget</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProfile</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Profile &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProfile</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;, const QPixmap &amp;pix)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProgress</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Konnector *, const Progress &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProgress</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(ActionPart *, const Progress &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addError</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Konnector *, const Error &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addError</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(ActionPart *, const Error &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>syncProgress</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(ActionPart *, int, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startSync</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cleanView</name>
      <anchorfile>classKSync_1_1OverView_1_1Widget.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Threaded::ClientManager</name>
    <filename>classThreaded_1_1ClientManager.html</filename>
    <base>QObject</base>
    <base>QThread</base>
    <member kind="signal">
      <type>void</type>
      <name>signalTerminated</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalFinished</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalError</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const KSync::Error &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalProgress</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const KSync::Progress &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ClientManager</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *=0, const char *=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ClientManager</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readSyncees</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeSyncees</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDevice</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDevice</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>terminateThread</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelJob</name>
      <anchorfile>classThreaded_1_1ClientManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Threaded::ClientThread</name>
    <filename>classThreaded_1_1ClientThread.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Command</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ClientThread</name>
      <anchorfile>classThreaded_1_1ClientThread.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ClientThread</name>
      <anchorfile>classThreaded_1_1ClientThread.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classThreaded_1_1ClientThread.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ClientManager</name>
      <anchorfile>classThreaded_1_1ClientThread.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Threaded::ThreadedPlugin</name>
    <filename>classThreaded_1_1ThreadedPlugin.html</filename>
    <base>KSync::Konnector</base>
    <member kind="function">
      <type></type>
      <name>ThreadedPlugin</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>KSync::Kapabilities</type>
      <name>capabilities</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCapabilities</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KSync::Kapabilities &amp;)</arglist>
    </member>
    <member kind="function">
      <type>SynceeList</type>
      <name>syncees</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readSyncees</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeSyncees</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDevice</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDevice</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSync::KonnectorInfo</type>
      <name>info</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classThreaded_1_1ThreadedPlugin.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Vr3::ConverterBase</name>
    <filename>classVr3_1_1ConverterBase.html</filename>
    <member kind="function">
      <type></type>
      <name>ConverterBase</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KSync::KonnectorUIDHelper *helper, const QString &amp;timeZone)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>time_t</type>
      <name>toUTC</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QDateTime &amp;time)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDateTime</type>
      <name>fromUTC</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(time_t)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KTempFile *</type>
      <name>file</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>timeZone</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>konnectorId</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;appName, const QString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>kdeId</name>
      <anchorfile>classVr3_1_1ConverterBase.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const QString &amp;appName, const QString &amp;uid)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Vr3::DBWrapper</name>
    <filename>classVr3_1_1DBWrapper.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classVr3_1_1DBWrapper.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classVr3_1_1DBWrapper.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
