<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KConfigWizard</name>
    <filename>classKConfigWizard.html</filename>
    <member kind="function">
      <type></type>
      <name>KConfigWizard</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KConfigWizard</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KConfigPropagator *propagator, QWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KConfigWizard</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPropagator</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KConfigPropagator *)</arglist>
    </member>
    <member kind="function">
      <type>KConfigPropagator *</type>
      <name>propagator</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QFrame *</type>
      <name>createWizardPage</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>usrReadConfig</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>usrWriteConfig</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToShowPage</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(QWidget *page)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupRulesPage</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateRules</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupChangesPage</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateChanges</name>
      <anchorfile>classKConfigWizard.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDateEdit</name>
    <filename>classKDateEdit.html</filename>
    <base>QComboBox</base>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>invalidDateEntered</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDateEdit</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inputIsValid</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>date</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>defaultDate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultDate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHandleInvalid</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool handleInvalid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handlesInvalid</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validate</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QDate &amp;newDate)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>popup</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dateSelected</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dateEntered</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>lineEnterPressed</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotTextChanged</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKDateEdit.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDatePickerPopup</name>
    <filename>classKDatePickerPopup.html</filename>
    <base>QPopupMenu</base>
    <member kind="signal">
      <type>void</type>
      <name>dateChanged</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDatePickerPopup</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int items=1, const QDate &amp;date=QDate::currentDate(), QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KDatePicker *</type>
      <name>datePicker</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>items</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDateChanged</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotToday</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotTomorrow</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFriday</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSunday</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNextWeek</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNextMonth</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNoDate</name>
      <anchorfile>classKDatePickerPopup.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMIface</name>
    <filename>classKIMIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>allContacts</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>reachableContacts</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>onlineContacts</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>fileTransferContacts</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isPresent</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>displayName</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>presenceString</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>presenceStatus</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>canReceiveFiles</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>canRespond</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>locate</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z10</anchor>
      <arglist>(const QString &amp;contactId, const QString &amp;protocol)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QPixmap</type>
      <name>icon</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z11</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>context</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z12</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>protocols</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>messageContact</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z14</anchor>
      <arglist>(const QString &amp;uid, const QString &amp;message)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>messageNewContact</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z15</anchor>
      <arglist>(const QString &amp;contactId, const QString &amp;protocol)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>chatWithContact</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z16</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>sendFile</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z17</anchor>
      <arglist>(const QString &amp;uid, const KURL &amp;sourceURL, const QString &amp;altFileName=QString::null, uint fileSize=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>addContact</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>z18</anchor>
      <arglist>(const QString &amp;contactId, const QString &amp;protocol)=0</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QCString</type>
      <name>appId</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QCString int</type>
      <name>presence</name>
      <anchorfile>classKIMIface.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIMProxy</name>
    <filename>classKIMProxy.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>registeredToDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigContactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigPresenceInfoExpired</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>allContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>reachableContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>onlineContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>fileTransferContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPresent</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>presenceNumeric</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>presenceString</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>presenceIcon</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canReceiveFiles</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canRespond</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>locate</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;contactId, const QString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>context</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chatWithContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>messageContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;uid, const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendFile</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;uid, const KURL &amp;sourceURL, const QString &amp;altFileName=QString::null, uint fileSize=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;contactId, const QString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>imAppsAvailable</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startPreferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>contactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(QString uid, QCString appId, int presence)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIMProxy *</type>
      <name>instance</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>pollAll</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>updatePresence</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;uid, const QCString &amp;appId, int presence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>preferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForUid</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForProtocol</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;protocol)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIncidenceChooser</name>
    <filename>classKIncidenceChooser.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>useGlobalMode</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIncidenceChooser</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIncidence</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KCal::Incidence *, KCal::Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Incidence *</type>
      <name>getIncidence</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>chooseMode</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showIncidence1</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showIncidence2</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showDiff</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>takeIncidence1</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>takeIncidence2</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>takeBoth</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setLabels</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setSyncMode</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>detailsDialogClosed</name>
      <anchorfile>classKIncidenceChooser.html</anchorfile>
      <anchor>j8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsDialog</name>
    <filename>classKPrefsDialog.html</filename>
    <base>KPrefsWidManager</base>
    <member kind="slot">
      <type>void</type>
      <name>setDefaults</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPrefsDialog</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton *prefs, QWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsDialog</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>autoCreate</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDefault</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrReadConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>usrWriteConfig</name>
      <anchorfile>classKPrefsDialog.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWid</name>
    <filename>classKPrefsWid.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWid.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidBool</name>
    <filename>classKPrefsWidBool.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidBool</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemBool *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QCheckBox *</type>
      <name>checkBox</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidBool.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidColor</name>
    <filename>classKPrefsWidColor.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidColor</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemColor *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidColor</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KColorButton *</type>
      <name>button</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidColor.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidFont</name>
    <filename>classKPrefsWidFont.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidFont</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemFont *item, QWidget *parent, const QString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPrefsWidFont</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QFrame *</type>
      <name>preview</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>button</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>selectFont</name>
      <anchorfile>classKPrefsWidFont.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidInt</name>
    <filename>classKPrefsWidInt.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidInt</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemInt *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSpinBox *</type>
      <name>spinBox</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidInt.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidManager</name>
    <filename>classKPrefsWidManager.html</filename>
    <member kind="function">
      <type></type>
      <name>KPrefsWidManager</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton *prefs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidManager</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KConfigSkeleton *</type>
      <name>prefs</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addWid</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KPrefsWid *)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidBool *</type>
      <name>addWidBool</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KConfigSkeleton::ItemBool *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidInt *</type>
      <name>addWidInt</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KConfigSkeleton::ItemInt *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidTime *</type>
      <name>addWidTime</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KConfigSkeleton::ItemDateTime *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidColor *</type>
      <name>addWidColor</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KConfigSkeleton::ItemColor *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidRadios *</type>
      <name>addWidRadios</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KConfigSkeleton::ItemEnum *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidString</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidString *</type>
      <name>addWidPassword</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>KPrefsWidFont *</type>
      <name>addWidFont</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(KConfigSkeleton::ItemFont *item, QWidget *parent, const QString &amp;sampleText)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidDefaults</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readWidConfig</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeWidConfig</name>
      <anchorfile>classKPrefsWidManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidRadios</name>
    <filename>classKPrefsWidRadios.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidRadios</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemEnum *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRadio</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;text, const QString &amp;whatsThis=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QButtonGroup *</type>
      <name>groupBox</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidRadios.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidString</name>
    <filename>classKPrefsWidString.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidString</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent, QLineEdit::EchoMode echomode=QLineEdit::Normal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPrefsWidString</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLineEdit *</type>
      <name>lineEdit</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classKPrefsWidString.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPrefsWidTime</name>
    <filename>classKPrefsWidTime.html</filename>
    <base>KPrefsWid</base>
    <member kind="function">
      <type></type>
      <name>KPrefsWidTime</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KConfigSkeleton::ItemDateTime *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>label</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KTimeEdit *</type>
      <name>timeEdit</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPrefsWidTime.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTimeEdit</name>
    <filename>classKTimeEdit.html</filename>
    <base>QComboBox</base>
    <member kind="slot">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timeChanged</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QTime newt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KTimeEdit</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, QTime qt=QTime(12, 0), const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QTime</type>
      <name>getTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QSizePolicy</type>
      <name>sizePolicy</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inputIsValid</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>active</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>hilit</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changedText</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QKeyEvent *qke)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>subTime</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateText</name>
      <anchorfile>classKTimeEdit.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVCardDrag</name>
    <filename>classKVCardDrag.html</filename>
    <base>QStoredDrag</base>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVCardDrag</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;content, QWidget *dragsource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCard</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;content)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>canDecode</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QMimeSource *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>decode</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QMimeSource *e, QString &amp;content)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKVCardDrag.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/cfgc/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/cfgc/</path>
    <filename>dir_000004.html</filename>
    <file>autoexample.cpp</file>
    <file>example.cpp</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/core/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/core/</path>
    <filename>dir_000003.html</filename>
    <file>attachment.cpp</file>
    <file>attachment.h</file>
    <file>core.cpp</file>
    <file>core.h</file>
    <file>corewidget.cpp</file>
    <file>corewidget.h</file>
    <file>editor.cpp</file>
    <file>editor.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>pluginmanager.cpp</file>
    <file>pluginmanager.h</file>
    <file>prefsmodule.cpp</file>
    <file>prefsmodule.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/interfaces/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/interfaces/</path>
    <filename>dir_000001.html</filename>
    <file>AddressBookServiceIface.h</file>
    <file>MailTransportServiceIface.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/</path>
    <filename>dir_000002.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/core/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/</dir>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/krichtext/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/krichtext/</path>
    <filename>dir_000006.html</filename>
    <file>krichtext_plugin.cpp</file>
    <file>krichtext_plugin.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/</path>
    <filename>dir_000000.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/cfgc/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/interfaces/</dir>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/</dir>
    <file>addresseediffalgo.cpp</file>
    <file>addresseediffalgo.h</file>
    <file>addresseelineedit.cpp</file>
    <file>addresseelineedit.h</file>
    <file>addresseeview.cpp</file>
    <file>addresseeview.h</file>
    <file>addressesdialog.cpp</file>
    <file>addressesdialog.h</file>
    <file>broadcaststatus.cpp</file>
    <file>broadcaststatus.h</file>
    <file>calendardiffalgo.cpp</file>
    <file>calendardiffalgo.h</file>
    <file>categoryeditdialog.cpp</file>
    <file>categoryeditdialog.h</file>
    <file>categoryselectdialog.cpp</file>
    <file>categoryselectdialog.h</file>
    <file>clicklineedit.cpp</file>
    <file>clicklineedit.h</file>
    <file>collectingprocess.cpp</file>
    <file>collectingprocess.h</file>
    <file>completionordereditor.cpp</file>
    <file>completionordereditor.h</file>
    <file>configmanager.cpp</file>
    <file>configmanager.h</file>
    <file>diffalgo.cpp</file>
    <file>diffalgo.h</file>
    <file>distributionlist.cpp</file>
    <file>distributionlist.h</file>
    <file>email.cpp</file>
    <file>email.h</file>
    <file>htmldiffalgodisplay.cpp</file>
    <file>htmldiffalgodisplay.h</file>
    <file>infoextension.cpp</file>
    <file>infoextension.h</file>
    <file>kabcresourcenull.h</file>
    <file>kaddrbook.cpp</file>
    <file>kconfigpropagator.cpp</file>
    <file>kconfigpropagator.h</file>
    <file>kconfigwizard.cpp</file>
    <file>kconfigwizard.h</file>
    <file>kdateedit.cpp</file>
    <file>kdateedit.h</file>
    <file>kdatepickerpopup.cpp</file>
    <file>kdatepickerpopup.h</file>
    <file>kfileio.cpp</file>
    <file>kfileio.h</file>
    <file>kimiface.h</file>
    <file>kimportdialog.cpp</file>
    <file>kimportdialog.h</file>
    <file>kimproxy.cpp</file>
    <file>kimproxy.h</file>
    <file>kimproxyiface.h</file>
    <file>kincidencechooser.cpp</file>
    <file>kincidencechooser.h</file>
    <file>kincidenceformatter.cpp</file>
    <file>kincidenceformatter.h</file>
    <file>klistviewsearchline_pimcopy.cpp</file>
    <file>klistviewsearchline_pimcopy.h</file>
    <file>kpimprefs.cpp</file>
    <file>kpimprefs.h</file>
    <file>kprefsdialog.cpp</file>
    <file>kprefsdialog.h</file>
    <file>ktimeedit.cpp</file>
    <file>ktimeedit.h</file>
    <file>kvcarddrag.cpp</file>
    <file>kvcarddrag.h</file>
    <file>ldapclient.cpp</file>
    <file>ldapclient.h</file>
    <file>ldapsearchdialog.cpp</file>
    <file>ldapsearchdialog.h</file>
    <file>ldapurl.cpp</file>
    <file>ldapurl.h</file>
    <file>ldif.cpp</file>
    <file>ldif.h</file>
    <file>maillistdrag.cpp</file>
    <file>maillistdrag.h</file>
    <file>overlaywidget.cpp</file>
    <file>overlaywidget.h</file>
    <file>pluginloader.h</file>
    <file>pluginloaderbase.cpp</file>
    <file>pluginloaderbase.h</file>
    <file>progressdialog.cpp</file>
    <file>progressdialog.h</file>
    <file>progressmanager.cpp</file>
    <file>progressmanager.h</file>
    <file>resourceabc.cpp</file>
    <file>resourceabc.h</file>
    <file>sidebarextension.cpp</file>
    <file>sidebarextension.h</file>
    <file>ssllabel.cpp</file>
    <file>ssllabel.h</file>
    <file>statusbarprogresswidget.cpp</file>
    <file>statusbarprogresswidget.h</file>
    <file>weaver.cpp</file>
    <file>weaver.h</file>
    <file>weaverextensions.cpp</file>
    <file>weaverextensions.h</file>
    <file>weaverlogger.cpp</file>
    <file>weaverlogger.h</file>
  </compound>
  <compound kind="dir">
    <name>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/</name>
    <path>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/</path>
    <filename>dir_000005.html</filename>
    <dir>/tmp/buildd/kdepim-3.3.2+proko2.1.6/libkdepim/komposer/plugins/krichtext/</dir>
  </compound>
  <compound kind="class">
    <name>KABC::ResourceNull</name>
    <filename>classKABC_1_1ResourceNull.html</filename>
    <member kind="function">
      <type></type>
      <name>ResourceNull</name>
      <anchorfile>classKABC_1_1ResourceNull.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *cfg)</arglist>
    </member>
    <member kind="function">
      <type>Ticket *</type>
      <name>requestSaveTicket</name>
      <anchorfile>classKABC_1_1ResourceNull.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>releaseSaveTicket</name>
      <anchorfile>classKABC_1_1ResourceNull.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Ticket *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1ResourceNull.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1ResourceNull.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Ticket *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Komposer</name>
    <filename>namespaceKomposer.html</filename>
    <class kind="class">Komposer::Core</class>
    <member kind="typedef">
      <type>QValueList&lt; Attachment &gt;</type>
      <name>AttachmentList</name>
      <anchorfile>namespaceKomposer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Komposer::Core</name>
    <filename>classKomposer_1_1Core.html</filename>
    <member kind="function">
      <type></type>
      <name>Core</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadWritePart *</type>
      <name>createPart</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotActivePartChanged</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreferences</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>initWidgets</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadSettings</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadEditors</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unloadEditors</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addEditor</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(Komposer::Editor *editor)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPart</name>
      <anchorfile>classKomposer_1_1Core.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="class">KParts::InfoExtension</class>
    <class kind="class">KParts::SideBarExtension</class>
  </compound>
  <compound kind="class">
    <name>KParts::InfoExtension</name>
    <filename>classKParts_1_1InfoExtension.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classKParts_1_1InfoExtension.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iconChanged</name>
      <anchorfile>classKParts_1_1InfoExtension.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InfoExtension</name>
      <anchorfile>classKParts_1_1InfoExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::SideBarExtension</name>
    <filename>classKParts_1_1SideBarExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>SideBarExtension</name>
      <anchorfile>classKParts_1_1SideBarExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *exported, KParts::ReadOnlyPart *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1SideBarExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::BroadcastStatus</class>
    <class kind="class">KPIM::ClickLineEdit</class>
    <class kind="class">KPIM::CollectingProcess</class>
    <class kind="class">KPIM::ConfigManager</class>
    <class kind="class">KPIM::DiffAlgoDisplay</class>
    <class kind="class">KPIM::DistributionList</class>
    <class kind="class">KPIM::KListViewSearchLine</class>
    <class kind="class">KPIM::LdapObject</class>
    <class kind="class">KPIM::LdapClient</class>
    <class kind="struct">KPIM::LdapResult</class>
    <class kind="class">KPIM::LdapSearch</class>
    <class kind="class">KPIM::LDAPUrl</class>
    <class kind="class">KPIM::LDIF</class>
    <class kind="class">KPIM::OverlayWidget</class>
    <class kind="class">KPIM::PluginLoader</class>
    <class kind="class">KPIM::ProgressManager</class>
    <class kind="class">KPIM::ResourceABC</class>
    <member kind="typedef">
      <type>QValueList&lt; LdapResult &gt;</type>
      <name>LdapResultList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QString, QPair&lt; int, int &gt; &gt;</type>
      <name>CompletionItemsMap</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; QByteArray &gt;</type>
      <name>LdapAttrValue</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QString, LdapAttrValue &gt;</type>
      <name>LdapAttrMap</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; MailSummary &gt;</type>
      <name>MailList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; ProgressItem *, bool &gt;</type>
      <name>ProgressItemMap</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KABC::Resource *</type>
      <name>requestResource</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(KABC::AddressBook *abook, QWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>swapItems</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(CompletionViewItem *one, CompletionViewItem *other)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;aStr, bool allowSemicolonAsSeparator)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getEmailAddr</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quotedName</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>msgDialog</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>kFileToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;aFileName, bool aEnsureNL, bool aVerbose)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>kBytesToFile</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const char *aBuffer, int len, const QString &amp;aFileName, bool aAskIfExists, bool aBackup, bool aVerbose)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>kCStringToFile</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QCString &amp;aBuffer, const QString &amp;aFileName, bool aAskIfExists, bool aBackup, bool aVerbose)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>kByteArrayToFile</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QByteArray &amp;aBuffer, const QString &amp;aFileName, bool aAskIfExists, bool aBackup, bool aVerbose)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; ProgressManager &gt;</type>
      <name>progressManagerDeleter</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::BroadcastStatus</name>
    <filename>classKPIM_1_1BroadcastStatus.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>setStatusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTransientStatusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgWithTimestamp</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgTransmissionCompleted</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int numMessages, int numBytes=-1, int numBytesRead=-1, int numBytesToRead=-1, bool mLeaveOnServer=false, KPIM::ProgressItem *progressItem=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgTransmissionCompleted</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;account, int numMessages, int numBytes=-1, int numBytesRead=-1, int numBytesToRead=-1, bool mLeaveOnServer=false, KPIM::ProgressItem *progressItem=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BroadcastStatus *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mStatusMsg</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mTransientActive</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static BroadcastStatus *</type>
      <name>instance_</name>
      <anchorfile>classKPIM_1_1BroadcastStatus.html</anchorfile>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ClickLineEdit</name>
    <filename>classKPIM_1_1ClickLineEdit.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setText</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;txt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ClickLineEdit</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const QString &amp;msg=QString::null, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setClickMessage</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>clickMessage</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawContents</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusInEvent</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QFocusEvent *ev)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchorfile>classKPIM_1_1ClickLineEdit.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QFocusEvent *ev)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::CollectingProcess</name>
    <filename>classKPIM_1_1CollectingProcess.html</filename>
    <member kind="function">
      <type></type>
      <name>CollectingProcess</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>collectedStdout</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>collectedStderr</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>virtual_hook</name>
      <anchorfile>classKPIM_1_1CollectingProcess.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ConfigManager</name>
    <filename>classKPIM_1_1ConfigManager.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>commit</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rollback</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasPendingChanges</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ConfigManager</name>
      <anchorfile>classKPIM_1_1ConfigManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::DiffAlgoDisplay</name>
    <filename>classKPIM_1_1DiffAlgoDisplay.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>begin</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>end</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setLeftSourceTitle</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;title)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setRightSourceTitle</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;title)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>additionalLeftField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;id, const QString &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>additionalRightField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;id, const QString &amp;value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>conflictField</name>
      <anchorfile>classKPIM_1_1DiffAlgoDisplay.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id, const QString &amp;leftValue, const QString &amp;rightValue)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::DistributionList</name>
    <filename>classKPIM_1_1DistributionList.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; DistributionList &gt;</type>
      <name>List</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KABC::Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Addressee &amp;, const QString &amp;email=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const Addressee &amp;, const QString &amp;email=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;uid, const QString &amp;email=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;uid, const QString &amp;email=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>emails</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KABC::AddressBook *book) const </arglist>
    </member>
    <member kind="function">
      <type>Entry::List</type>
      <name>entries</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KABC::AddressBook *book) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isDistributionList</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KABC::Addressee &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DistributionList</type>
      <name>findByName</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KABC::AddressBook *book, const QString &amp;name, bool caseSensitive=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; DistributionList &gt;</type>
      <name>allDistributionLists</name>
      <anchorfile>classKPIM_1_1DistributionList.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(KABC::AddressBook *book)</arglist>
    </member>
    <class kind="struct">KPIM::DistributionList::Entry</class>
  </compound>
  <compound kind="struct">
    <name>KPIM::DistributionList::Entry</name>
    <filename>structKPIM_1_1DistributionList_1_1Entry.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Entry &gt;</type>
      <name>List</name>
      <anchorfile>structKPIM_1_1DistributionList_1_1Entry.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Entry</name>
      <anchorfile>structKPIM_1_1DistributionList_1_1Entry.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Addressee &amp;_addressee, const QString &amp;_email)</arglist>
    </member>
    <member kind="variable">
      <type>Addressee</type>
      <name>addressee</name>
      <anchorfile>structKPIM_1_1DistributionList_1_1Entry.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>email</name>
      <anchorfile>structKPIM_1_1DistributionList_1_1Entry.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::KListViewSearchLine</name>
    <filename>classKPIM_1_1KListViewSearchLine.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSearch</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;s=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setCaseSensitive</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(bool cs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeepParentsVisible</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSearchColumns</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(const QValueList&lt; int &gt; &amp;columns)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setListView</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(KListView *lv)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KListViewSearchLine</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, KListView *listView=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KListViewSearchLine</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>caseSensitive</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; int &gt;</type>
      <name>searchColumns</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepParentsVisible</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KListView *</type>
      <name>listView</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>queueSearch</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;search)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>activateSearch</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>itemMatches</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QListViewItem *item, const QString &amp;s) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QPopupMenu *</type>
      <name>createPopupMenu</name>
      <anchorfile>classKPIM_1_1KListViewSearchLine.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapObject</name>
    <filename>classKPIM_1_1LdapObject.html</filename>
    <member kind="function">
      <type></type>
      <name>LdapObject</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;_dn, LdapClient *_cl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LdapObject</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const LdapObject &amp;that)</arglist>
    </member>
    <member kind="function">
      <type>LdapObject &amp;</type>
      <name>operator=</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const LdapObject &amp;that)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>dn</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>objectClass</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LdapAttrMap</type>
      <name>attrs</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LdapClient *</type>
      <name>client</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>assign</name>
      <anchorfile>classKPIM_1_1LdapObject.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const LdapObject &amp;that)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapClient</name>
    <filename>classKPIM_1_1LdapClient.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>setHost</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;host)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;port)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBase</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;base)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBindDN</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(const QString &amp;bindDN)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setPwdBindDN</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(const QString &amp;pwdBindDN)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setAttrs</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>(const QStringList &amp;attrs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i6</anchor>
      <arglist>(const QString scope)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startQuery</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i7</anchor>
      <arglist>(const QString &amp;filter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>cancelQuery</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const KPIM::LdapObject &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LdapClient</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(int clientNumber, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clientNumber</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>completionWeight</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompletionWeight</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>port</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>base</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bindDN</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pwdBindDN</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>attrs</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotData</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotInfoMessage</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *, const QString &amp;info)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDone</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>startParseLDIF</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseLDIF</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>endParseLDIF</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finishCurrentObject</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mHost</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mPort</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mBase</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mScope</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mAttrs</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; KIO::SimpleJob &gt;</type>
      <name>mJob</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mActive</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mReportObjectClass</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LdapObject</type>
      <name>mCurrentObject</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mBuf</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mLastAttrName</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mLastAttrValue</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsBase64</name>
      <anchorfile>classKPIM_1_1LdapClient.html</anchorfile>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIM::LdapResult</name>
    <filename>structKPIM_1_1LdapResult.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>email</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>clientNumber</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>completionWeight</name>
      <anchorfile>structKPIM_1_1LdapResult.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LdapSearch</name>
    <filename>classKPIM_1_1LdapSearch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const KPIM::LdapResultList &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>searchDone</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startSearch</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;txt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelSearch</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAvailable</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; LdapClient * &gt;</type>
      <name>clients</name>
      <anchorfile>classKPIM_1_1LdapSearch.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LDAPUrl</name>
    <filename>classKPIM_1_1LDAPUrl.html</filename>
    <member kind="function">
      <type></type>
      <name>LDAPUrl</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LDAPUrl</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>dn</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDn</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>attributes</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttributes</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QStringList &amp;attributes)</arglist>
    </member>
    <member kind="function">
      <type>Scope</type>
      <name>scope</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Scope scope)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>filter</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(QString filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasExtension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>Extension</type>
      <name>extension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;key, bool &amp;critical) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;key, const Extension &amp;ext)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;key, const QString &amp;value, bool critical=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeExtension</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateQuery</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseQuery</name>
      <anchorfile>classKPIM_1_1LDAPUrl.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::LDIF</name>
    <filename>classKPIM_1_1LDIF.html</filename>
    <member kind="function">
      <type>void</type>
      <name>startParsing</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ParseVal</type>
      <name>processLine</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ParseVal</type>
      <name>nextItem</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLDIF</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QByteArray &amp;ldif)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endLDIF</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>EntryType</type>
      <name>entryType</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>modType</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>dn</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>newRdn</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>newSuperior</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>delOldRdn</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>attr</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QByteArray &amp;</type>
      <name>val</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUrl</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>critical</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>oid</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>lineNo</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>assembleLine</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;fieldname, const QByteArray &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>assembleLine</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;fieldname, const QCString &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>assembleLine</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QString &amp;fieldname, const QString &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>splitLine</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const QCString &amp;line, QString &amp;fieldname, QByteArray &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>splitControl</name>
      <anchorfile>classKPIM_1_1LDIF.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const QCString &amp;line, QString &amp;oid, bool &amp;critical, QByteArray &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::OverlayWidget</name>
    <filename>classKPIM_1_1OverlayWidget.html</filename>
    <base>QHBox</base>
    <member kind="function">
      <type></type>
      <name>OverlayWidget</name>
      <anchorfile>classKPIM_1_1OverlayWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *alignWidget, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>alignWidget</name>
      <anchorfile>classKPIM_1_1OverlayWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlignWidget</name>
      <anchorfile>classKPIM_1_1OverlayWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *alignWidget)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKPIM_1_1OverlayWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *ev)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchorfile>classKPIM_1_1OverlayWidget.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::PluginLoader</name>
    <filename>classKPIM_1_1PluginLoader.html</filename>
    <templarg>T</templarg>
    <templarg>T_config</templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>scan</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual T *</type>
      <name>createForName</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static PluginLoader&lt; T, T_config &gt; *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1PluginLoader.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ProgressManager</name>
    <filename>classKPIM_1_1ProgressManager.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotStandardCancelHandler</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(ProgressItem *item)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAbortAll</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemAdded</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemProgress</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(ProgressItem *, unsigned int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemCompleted</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemCanceled</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(ProgressItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemStatus</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(ProgressItem *, const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemLabel</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(ProgressItem *, const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progressItemUsesCrypto</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(ProgressItem *, bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showProgressDialog</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>l7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ProgressItem *</type>
      <name>singleItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressManager *</type>
      <name>instance</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getUniqueID</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(ProgressItem *parent, const QString &amp;id, const QString &amp;label, const QString &amp;status=QString::null, bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const QString &amp;parent, const QString &amp;id, const QString &amp;label, const QString &amp;status=QString::null, bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressItem *</type>
      <name>createProgressItem</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(const QString &amp;id, const QString &amp;label, const QString &amp;status=QString::null, bool canBeCanceled=true, bool usesCrypto=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emitShowProgressDialog</name>
      <anchorfile>classKPIM_1_1ProgressManager.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ResourceABC</name>
    <filename>classKPIM_1_1ResourceABC.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSubresourceActive</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;, bool active)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSubresourceCompletionWeight</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;, int weight)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceAdded</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KPIM::ResourceABC *, const QString &amp;type, const QString &amp;subResource)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceRemoved</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KPIM::ResourceABC *, const QString &amp;type, const QString &amp;subResource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceABC</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QMap&lt; QString, QString &gt;</type>
      <name>uidToResourceMap</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>subresources</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>subresourceActive</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>subresourceCompletionWeight</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>subresourceLabel</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeSubresource</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addSubresource</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;label, const QString &amp;parent)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canHaveSubresources</name>
      <anchorfile>classKPIM_1_1ResourceABC.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Event</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Event.html</filename>
    <base>QCustomEvent</base>
    <member kind="enumeration">
      <name>Action</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Suspended</name>
      <anchor>w11w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ThreadStarted</name>
      <anchor>w11w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>JobAPR</name>
      <anchor>w11w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Action=NoAction, Thread *=0, Job *job=0)</arglist>
    </member>
    <member kind="function">
      <type>Thread *</type>
      <name>thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Job *</type>
      <name>job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const int</type>
      <name>type</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Event.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Job</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Job.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>SPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>APR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Job</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>execute</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>wakeAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processEvent</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>lock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Thread *</type>
      <name>thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(bool status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerSPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>triggerAPR</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_finished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMutex *</type>
      <name>m_mutex</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Thread *</type>
      <name>m_thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition *</type>
      <name>m_wc</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Job.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Thread</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Thread.html</filename>
    <base>QThread</base>
    <member kind="function">
      <type></type>
      <name>Thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Weaver *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Thread</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>msleep</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned long msec)</arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>id</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Thread.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Event::Action, Job *=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::Weaver</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1Weaver.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>suspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jobDone</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadCreated</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadDestroyed</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadBusy</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>threadSuspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Weaver</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0, int inventoryMin=4, int inventoryMax=32)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>enqueue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enqueue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QPtrList&lt; Job &gt; jobs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>dequeue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Job *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dequeue</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finish</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>suspend</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdle</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>queueLength</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Job *</type>
      <name>applyForWork</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(Thread *thread, Job *previous)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>post</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(Event::Action, Thread *=0, Job *=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>threads</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>assignJobs</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>event</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; Thread &gt;</type>
      <name>m_inventory</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; Job &gt;</type>
      <name>m_assignments</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_active</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMin</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_inventoryMax</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobAvailable</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWaitCondition</type>
      <name>m_jobFinished</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_shuttingDown</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_suspend</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1Weaver.html</anchorfile>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverExtension</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadCreated</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadDestroyed</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadBusy</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>threadSuspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WeaverExtension</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>attach</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Weaver *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::ThreadWeaver::WeaverThreadLogger</name>
    <filename>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</filename>
    <base>KPIM::ThreadWeaver::WeaverExtension</base>
    <member kind="function">
      <type></type>
      <name>WeaverThreadLogger</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadCreated</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadDestroyed</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadBusy</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Thread *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>threadSuspended</name>
      <anchorfile>classKPIM_1_1ThreadWeaver_1_1WeaverThreadLogger.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Thread *)</arglist>
    </member>
  </compound>
</tagfile>
